// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S214_Warnings.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S214_Warnings extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1, 1
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\266\u0200"+
    "\10\u0600\u1020\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\3\1\4\1\5\22\0\1\6"+
    "\1\0\1\7\3\0\1\10\1\0\2\11\2\0\1\12"+
    "\1\13\1\14\1\15\12\16\1\17\1\20\5\0\1\21"+
    "\1\22\1\23\1\24\1\25\1\26\1\27\1\30\1\31"+
    "\1\32\1\33\1\34\1\35\1\36\1\37\1\40\1\41"+
    "\1\42\1\43\1\44\1\45\1\46\1\47\1\50\1\51"+
    "\1\52\1\53\1\0\1\54\1\0\1\55\1\0\1\56"+
    "\1\57\1\60\1\61\1\62\1\63\1\64\1\65\1\66"+
    "\1\67\1\70\1\71\1\72\1\73\1\74\1\75\1\76"+
    "\1\77\1\100\1\101\1\102\1\103\1\104\1\105\1\106"+
    "\1\107\12\0\1\3\72\0\6\110\1\0\11\110\1\0"+
    "\6\110\2\0\4\110\3\0\6\110\1\0\11\110\1\0"+
    "\6\110\2\0\4\110\53\0\2\110\6\0\2\111\66\0"+
    "\2\110\4\0\2\110\17\0\1\112\u0188\0\2\110\216\0"+
    "\2\110\42\0\2\110\104\0\1\1\20\0\2\13\23\0"+
    "\2\3\u0100\0\1\113\325\0\u0100\3";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1792];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\2\0\3\1\2\2\75\0\3\3\1\0\1\3\27\0"+
    "\1\3\1\0\2\3\15\0\1\3\1\0\1\4\2\0"+
    "\1\3\50\0\1\3\220\0\1\5\155\0\1\5\22\0"+
    "\1\5\72\0\1\5\11\0\1\5\53\0\1\5\4\0"+
    "\1\5\4\0\1\5\23\0\1\6\1\5\6\0\1\5"+
    "\116\0\1\7\60\0\1\5\174\0\2\10\u0112\0\1\7"+
    "\5\0\1\7\47\0\1\7\23\0\1\7\167\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[1299];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\114\0\230\0\344\0\u0130\0\230\0\u017c\0\u01c8"+
    "\0\u0214\0\u0260\0\344\0\u02ac\0\u02f8\0\u0344\0\u0390\0\u03dc"+
    "\0\u0428\0\u0474\0\u04c0\0\u050c\0\u0558\0\u05a4\0\u05f0\0\u063c"+
    "\0\u0688\0\u06d4\0\u0720\0\u076c\0\u07b8\0\u0804\0\u0850\0\u089c"+
    "\0\u08e8\0\u0934\0\u0980\0\u09cc\0\u0a18\0\u0a64\0\u0ab0\0\u0afc"+
    "\0\u0b48\0\u0b94\0\u0be0\0\u0c2c\0\u0c78\0\u0cc4\0\u0d10\0\u0d5c"+
    "\0\u0da8\0\u0df4\0\u0e40\0\u0e8c\0\u0ed8\0\u0f24\0\u0f70\0\u0fbc"+
    "\0\u1008\0\u1054\0\u10a0\0\u10ec\0\u1138\0\u1184\0\u11d0\0\u121c"+
    "\0\u1268\0\u12b4\0\u1300\0\u134c\0\230\0\u1398\0\u13e4\0\u1430"+
    "\0\u0afc\0\u147c\0\u14c8\0\u1514\0\u1560\0\u15ac\0\u15f8\0\u1644"+
    "\0\u1690\0\u16dc\0\u1728\0\u1774\0\u17c0\0\u180c\0\u1858\0\u18a4"+
    "\0\u18f0\0\u193c\0\u1988\0\u19d4\0\u1a20\0\u1a6c\0\u1ab8\0\u1b04"+
    "\0\u1b50\0\u1b9c\0\u1be8\0\u1c34\0\u1c80\0\u1ccc\0\u1d18\0\u1d64"+
    "\0\u1db0\0\u1dfc\0\u1e48\0\u1e94\0\u1ee0\0\u1f2c\0\u1f78\0\u1fc4"+
    "\0\u2010\0\u205c\0\u20a8\0\230\0\u20f4\0\u2140\0\u218c\0\u21d8"+
    "\0\u2224\0\u2270\0\u22bc\0\u2308\0\u2354\0\u23a0\0\u23ec\0\u2438"+
    "\0\u2484\0\u24d0\0\u251c\0\u2568\0\u25b4\0\u2600\0\u264c\0\u2698"+
    "\0\u26e4\0\u2730\0\u277c\0\u27c8\0\u2814\0\u2860\0\u28ac\0\u28f8"+
    "\0\u2944\0\u2990\0\u29dc\0\u2a28\0\u2a74\0\u2ac0\0\u2b0c\0\u2b58"+
    "\0\u2ba4\0\u2bf0\0\u2c3c\0\u2c88\0\u2cd4\0\u2d20\0\u2d6c\0\u2db8"+
    "\0\u2e04\0\u2e50\0\u2e9c\0\u2ee8\0\u2f34\0\u2f80\0\u2fcc\0\u3018"+
    "\0\u3064\0\u30b0\0\u30fc\0\u3148\0\u3194\0\u31e0\0\u322c\0\u3278"+
    "\0\u32c4\0\u3310\0\u335c\0\u33a8\0\u33f4\0\u3440\0\u348c\0\u34d8"+
    "\0\u3524\0\u3570\0\u35bc\0\u3608\0\u3654\0\u36a0\0\u36ec\0\u3738"+
    "\0\u3784\0\u37d0\0\u381c\0\u3868\0\u38b4\0\u3900\0\u394c\0\u3998"+
    "\0\u39e4\0\u3a30\0\u3a7c\0\u3ac8\0\u3b14\0\u3b60\0\u3bac\0\u3bf8"+
    "\0\u3c44\0\u3c90\0\u3cdc\0\u3d28\0\u3d74\0\u3dc0\0\u3e0c\0\u3e58"+
    "\0\u3ea4\0\u3ef0\0\u3f3c\0\u3f88\0\u3fd4\0\u4020\0\u406c\0\u40b8"+
    "\0\u4104\0\u4150\0\u419c\0\u41e8\0\u4234\0\u4280\0\u42cc\0\u4318"+
    "\0\u4364\0\u43b0\0\u43fc\0\u4448\0\u4494\0\u44e0\0\u452c\0\u4578"+
    "\0\u45c4\0\u4610\0\u465c\0\u46a8\0\u46f4\0\u4740\0\u478c\0\u47d8"+
    "\0\u4824\0\u4870\0\u48bc\0\u4908\0\u4954\0\u49a0\0\u49ec\0\u4a38"+
    "\0\u4a84\0\u4ad0\0\u4b1c\0\u4b68\0\u4bb4\0\u4c00\0\u4c4c\0\u4c98"+
    "\0\u4ce4\0\u4d30\0\u4d7c\0\u4dc8\0\u4e14\0\u4e60\0\u4eac\0\u4ef8"+
    "\0\u4f44\0\u4f90\0\u4fdc\0\u5028\0\u5074\0\u50c0\0\u510c\0\u5158"+
    "\0\u51a4\0\u51f0\0\u523c\0\u5288\0\u52d4\0\u5320\0\u536c\0\u53b8"+
    "\0\u5404\0\u5450\0\u549c\0\u54e8\0\u5534\0\u5580\0\u55cc\0\u5618"+
    "\0\u5664\0\u56b0\0\u56fc\0\u5748\0\u5794\0\u57e0\0\u582c\0\u5878"+
    "\0\230\0\u58c4\0\u5910\0\u595c\0\u59a8\0\u59f4\0\u5a40\0\u5a8c"+
    "\0\u5ad8\0\u5b24\0\u5b70\0\u5bbc\0\u5c08\0\u5c54\0\u5ca0\0\u5cec"+
    "\0\u5d38\0\u5d84\0\u5dd0\0\u5e1c\0\u5e68\0\u5eb4\0\u5f00\0\u5f4c"+
    "\0\u5f98\0\u5fe4\0\u6030\0\u607c\0\u60c8\0\u6114\0\u6160\0\u61ac"+
    "\0\u61f8\0\u6244\0\u6290\0\u62dc\0\u6328\0\u6374\0\u63c0\0\u640c"+
    "\0\u6458\0\u64a4\0\u64f0\0\u653c\0\u6588\0\u65d4\0\u6620\0\u666c"+
    "\0\u66b8\0\u6704\0\u6750\0\u679c\0\u67e8\0\u6834\0\u6880\0\u68cc"+
    "\0\u6918\0\u6964\0\u69b0\0\u69fc\0\u6a48\0\u6a94\0\u6ae0\0\u6b2c"+
    "\0\u6b78\0\u6bc4\0\u6c10\0\u6c5c\0\u6ca8\0\u6cf4\0\u6d40\0\u6d8c"+
    "\0\u6dd8\0\u6e24\0\u6e70\0\u6ebc\0\u6f08\0\u6f54\0\u6fa0\0\u6fec"+
    "\0\u7038\0\u7084\0\u70d0\0\u711c\0\u7168\0\u71b4\0\u7200\0\u724c"+
    "\0\u7298\0\u72e4\0\u7330\0\u737c\0\u73c8\0\u7414\0\u7460\0\u74ac"+
    "\0\u74f8\0\u7544\0\u7590\0\u75dc\0\u7628\0\u7674\0\u76c0\0\u770c"+
    "\0\u7758\0\u77a4\0\u77f0\0\u783c\0\u7888\0\u78d4\0\u7920\0\u7920"+
    "\0\u796c\0\u79b8\0\u7a04\0\u7a50\0\u7a9c\0\u7ae8\0\u7b34\0\u7b80"+
    "\0\u7bcc\0\u7c18\0\u7c64\0\u7cb0\0\u7cfc\0\u7d48\0\u7d94\0\u7de0"+
    "\0\u7e2c\0\u7e78\0\u7e78\0\u7ec4\0\u7f10\0\u7f5c\0\u7fa8\0\u7ff4"+
    "\0\u8040\0\u808c\0\u80d8\0\u8124\0\u8170\0\u81bc\0\u8208\0\u8254"+
    "\0\u82a0\0\u82ec\0\u8338\0\u8384\0\u83d0\0\u841c\0\u8468\0\u84b4"+
    "\0\u8500\0\u854c\0\u8598\0\u85e4\0\u8630\0\u867c\0\u86c8\0\u8714"+
    "\0\u8760\0\u87ac\0\u87f8\0\u8844\0\u8890\0\u88dc\0\u8928\0\u8974"+
    "\0\u89c0\0\u8a0c\0\u8a58\0\u8aa4\0\u8af0\0\u8b3c\0\u8b88\0\u8bd4"+
    "\0\u8c20\0\u8c6c\0\u8cb8\0\u8d04\0\u8d50\0\u8d9c\0\u8de8\0\u8e34"+
    "\0\u8e80\0\u8ecc\0\u8f18\0\u8f64\0\u8fb0\0\u8fb0\0\u8ffc\0\u9048"+
    "\0\u9094\0\u90e0\0\u912c\0\u9178\0\u91c4\0\u9210\0\u925c\0\u925c"+
    "\0\u92a8\0\u92f4\0\u9340\0\u938c\0\u93d8\0\u9424\0\u9470\0\u94bc"+
    "\0\u9508\0\u9554\0\u95a0\0\u95ec\0\u9638\0\u9684\0\u96d0\0\u971c"+
    "\0\u9768\0\u97b4\0\u9800\0\u984c\0\u9898\0\u98e4\0\u9930\0\u997c"+
    "\0\u99c8\0\u9a14\0\u9a60\0\u9aac\0\u9af8\0\u9b44\0\u9b90\0\u9bdc"+
    "\0\u9c28\0\u9c74\0\u9cc0\0\u9d0c\0\u9d58\0\u9da4\0\u9df0\0\u9e3c"+
    "\0\u9e88\0\u9ed4\0\u9f20\0\u9f20\0\u9f6c\0\u9fb8\0\ua004\0\ua050"+
    "\0\ua050\0\ua09c\0\ua0e8\0\ua134\0\ua180\0\ua1cc\0\ua180\0\ua218"+
    "\0\ua264\0\ua2b0\0\ua2fc\0\ua348\0\ua394\0\ua3e0\0\ua42c\0\ua478"+
    "\0\ua4c4\0\ua510\0\ua55c\0\ua5a8\0\ua5f4\0\ua640\0\ua68c\0\ua6d8"+
    "\0\230\0\ua724\0\ua724\0\ua770\0\ua7bc\0\ua808\0\ua854\0\ua8a0"+
    "\0\ua8ec\0\ua8ec\0\ua938\0\ua984\0\ua9d0\0\uaa1c\0\uaa68\0\uaab4"+
    "\0\uab00\0\uab4c\0\uab98\0\uabe4\0\uac30\0\uac7c\0\uacc8\0\uad14"+
    "\0\uad60\0\uadac\0\uadf8\0\uae44\0\uae90\0\uaedc\0\uaf28\0\uaf74"+
    "\0\uafc0\0\ub00c\0\ub058\0\ub0a4\0\ub0f0\0\ub13c\0\ub188\0\ub1d4"+
    "\0\ub220\0\ub26c\0\ub2b8\0\ub304\0\ub350\0\ub39c\0\ub3e8\0\ub434"+
    "\0\ub480\0\ub4cc\0\ub518\0\ub564\0\ub5b0\0\ub5fc\0\ub648\0\ub694"+
    "\0\ub6e0\0\ub72c\0\ub778\0\ub7c4\0\ub810\0\ub85c\0\ub8a8\0\ub8f4"+
    "\0\ub940\0\ub98c\0\ub9d8\0\uba24\0\uba70\0\ubabc\0\ubb08\0\ubb54"+
    "\0\ubba0\0\ubbec\0\ubc38\0\ubc84\0\ubcd0\0\ubd1c\0\ubd68\0\ubdb4"+
    "\0\ube00\0\ube4c\0\ube98\0\ubee4\0\ubf30\0\ubf7c\0\ubfc8\0\ub518"+
    "\0\uc014\0\uc060\0\uc0ac\0\uc0f8\0\uc144\0\uc190\0\uc1dc\0\uc228"+
    "\0\uc274\0\uc2c0\0\uc30c\0\uc358\0\uc3a4\0\uc3f0\0\uc43c\0\uc488"+
    "\0\uc4d4\0\uc520\0\uc56c\0\uc5b8\0\uc604\0\uc650\0\uc69c\0\uc6e8"+
    "\0\uc734\0\uc780\0\uc7cc\0\uc818\0\uc864\0\uc8b0\0\uc8fc\0\uc948"+
    "\0\uc994\0\uc9e0\0\uca2c\0\uca78\0\ucac4\0\ucb10\0\ucb5c\0\ucba8"+
    "\0\ucbf4\0\ucc40\0\ucc8c\0\uccd8\0\ucd24\0\ucd70\0\ucdbc\0\uce08"+
    "\0\uce54\0\ucea0\0\uceec\0\ucf38\0\uce54\0\ucf84\0\ucfd0\0\ud01c"+
    "\0\ud068\0\ud0b4\0\ud100\0\ud14c\0\ud198\0\ud1e4\0\ud230\0\ud27c"+
    "\0\ud2c8\0\ud314\0\ud360\0\ud3ac\0\ud3f8\0\ud444\0\ud490\0\ud4dc"+
    "\0\ud528\0\ud574\0\ud5c0\0\ud60c\0\ud658\0\ud6a4\0\ud6f0\0\ud73c"+
    "\0\ud788\0\ud7d4\0\ud820\0\ud86c\0\ud8b8\0\ud904\0\ud950\0\ud99c"+
    "\0\ud9e8\0\uda34\0\uda80\0\udacc\0\udb18\0\udb64\0\udbb0\0\udbfc"+
    "\0\udc48\0\udc94\0\udce0\0\udd2c\0\udd78\0\uddc4\0\ude10\0\ude5c"+
    "\0\udea8\0\udef4\0\udf40\0\udf8c\0\udfd8\0\ue024\0\ue070\0\ue0bc"+
    "\0\ue108\0\ue154\0\ue1a0\0\ue1ec\0\ue238\0\ue284\0\ue2d0\0\ue31c"+
    "\0\ue368\0\ue3b4\0\ue400\0\ue44c\0\ue498\0\ue4e4\0\ue530\0\ue57c"+
    "\0\ue5c8\0\ue614\0\ue660\0\ue6ac\0\ue6f8\0\ue744\0\ue790\0\ue7dc"+
    "\0\ue828\0\ue874\0\ue8c0\0\ue90c\0\ue958\0\ue9a4\0\ue9f0\0\uea3c"+
    "\0\uea88\0\uead4\0\ueb20\0\ueb6c\0\uebb8\0\uec04\0\uec50\0\uec9c"+
    "\0\uece8\0\ued34\0\ued80\0\uedcc\0\uee18\0\uee64\0\ueeb0\0\ueefc"+
    "\0\uef48\0\uef94\0\uefe0\0\uf02c\0\uf078\0\uf0c4\0\uf110\0\uf15c"+
    "\0\uf1a8\0\uf1f4\0\uf240\0\uf28c\0\uf2d8\0\uf324\0\uf370\0\uf3bc"+
    "\0\uf408\0\uf454\0\uf4a0\0\uf4ec\0\uf538\0\uf584\0\uf5d0\0\uf61c"+
    "\0\uf668\0\uf6b4\0\uf700\0\uf324\0\uf74c\0\uf798\0\uf7e4\0\uf370"+
    "\0\uf830\0\uf87c\0\uf8c8\0\uf914\0\uf960\0\uf9ac\0\uf9f8\0\ufa44"+
    "\0\ufa90\0\ufadc\0\ufb28\0\ufb74\0\ufbc0\0\ufc0c\0\ufc58\0\ufca4"+
    "\0\ufcf0\0\ufd3c\0\ufd88\0\ufdd4\0\ufe20\0\ufe6c\0\ufeb8\0\uff04"+
    "\0\uff50\0\uff9c\0\uffe8\1\64\1\200\1\314\1\u0118\1\u0164"+
    "\1\u01b0\1\u01fc\1\u0248\1\u0294\1\u02e0\1\u032c\1\u0378\1\u03c4"+
    "\1\u0410\1\u045c\1\u04a8\1\u04f4\1\u0540\1\u058c\1\u05d8\1\u0624"+
    "\1\u0670\1\u06bc\1\u0708\1\u0754\1\u07a0\1\u07ec\1\u0838\1\u0884"+
    "\1\u08d0\1\u091c\1\u0968\1\u09b4\1\u0a00\1\u0a4c\1\u0a98\1\u0ae4"+
    "\1\u0b30\1\u0b7c\1\u0bc8\1\u0c14\1\u0c60\1\u0cac\1\u0cf8\1\u0d44"+
    "\1\u0d90\1\u0ddc\1\u0e28\1\u0e74\1\u0ec0\1\u0f0c\1\u0f58\1\u0fa4"+
    "\1\u0ff0\1\u103c\1\u1088\1\u10d4\1\u1120\1\u116c\1\u11b8\1\u1204"+
    "\1\u1250\1\u129c\1\u12e8\1\u1334\1\u1380\1\u13cc\1\u1418\1\u1464"+
    "\1\u14b0\1\u14fc\1\u1548\1\u1594\1\u15e0\1\u162c\1\u1678\1\u16c4"+
    "\1\u1710\1\u175c\1\u17a8\1\u17f4\1\u1840\1\u188c\1\u18d8\1\u1924"+
    "\1\u1970\1\u19bc\1\u1a08\1\u1a54\1\u1aa0\1\u1aec\1\u1b38\1\u1b84"+
    "\1\u1bd0\1\u1c1c\1\u1c68\1\u1cb4\1\u1d00\1\u1d4c\1\u1d98\1\u1de4"+
    "\1\u1e30\1\u1e7c\1\u1ec8\1\u1f14\1\u1f60\1\u1fac\1\u1ff8\1\u2044"+
    "\1\u2090\1\u20dc\1\u2128\1\u2174\1\u21c0\1\u220c\1\u2258\1\u22a4"+
    "\1\u22f0\1\u233c\1\u2388\1\u23d4\1\u2420\1\u246c\1\u24b8\1\u2504"+
    "\1\u2550\1\u259c\1\u25e8\1\u2634\1\u2680\1\u26cc\1\u2718\1\u2764"+
    "\1\u27b0\1\u27fc\1\u2848\1\u2894\1\u28e0\1\u292c\1\u2978\1\u29c4"+
    "\1\u2a10\1\u2a5c\1\u2aa8\1\u2af4\1\u2b40\1\u2b8c\1\u2bd8\1\u2c24"+
    "\1\u2c70\1\u2cbc\1\u2d08\1\u2d54\1\u2da0\1\u2dec\1\u2e38\1\u2e84"+
    "\1\u2ed0\1\u2f1c\1\u2f68\1\u2fb4\1\u3000\1\u304c\1\u3098\1\u30e4"+
    "\1\u3130\1\u317c\1\u31c8\1\u3214\1\u3260\1\u32ac\1\u32f8\1\u3344"+
    "\1\u3390\1\u33dc\1\u3428\1\u3474\1\u34c0\1\u350c\1\u3558\1\u35a4"+
    "\1\u35f0\1\u363c\1\u3688\1\u36d4\1\u3720\1\u376c\1\u37b8\1\u3804"+
    "\1\u3850\1\u389c\1\u38e8\1\u3934\1\u3980\1\u39cc\1\u3a18\1\u3a64"+
    "\1\u3ab0\1\u3afc\1\u3b48\1\u3b94\1\u3be0\1\u3c2c\1\u3c78\1\u3cc4"+
    "\1\u3d10\1\u3d5c\1\u3da8\1\u3df4\1\u3e40\1\u3e8c\1\u3ed8\1\u3f24"+
    "\1\u3f70\1\u3fbc\1\u4008\1\u4054\1\u40a0\1\u40ec\1\u4138\1\u4184"+
    "\1\u41d0\1\u421c\1\u4268\1\u42b4\1\u4300\1\u434c\1\u4398\1\u43e4"+
    "\1\u4430\0\230\1\u447c\1\u44c8\1\u4514\1\u4560\1\u45ac\0\uca2c"+
    "\1\u45f8\1\u4644\1\u4690\1\u46dc\1\u4728\1\u4774\1\u47c0\1\u480c"+
    "\1\u4858\1\u48a4\1\u48f0\1\u493c\1\u4988\1\u49d4\1\u4a20\1\u4a6c"+
    "\1\u4ab8\1\u4b04\1\u4b50\1\u4b9c\1\u4be8\1\u4c34\1\u4c80\1\u4ccc"+
    "\1\u4d18\1\u4d64\1\u4db0\1\u4dfc\1\u4e48\1\u4e94\1\u4ee0\1\u4f2c"+
    "\1\u4f78\1\u4fc4\1\u5010\1\u505c\1\u50a8\1\u50f4\1\u5140\0\uf370"+
    "\1\u518c\1\u51d8\1\u5224\1\u5270\1\u52bc\1\u5308\1\u5354\1\u53a0"+
    "\1\u53ec\1\u5438\1\u5484\1\u54d0\1\u551c\1\u5568\1\u55b4\1\u5600"+
    "\1\u564c\1\u5698\1\u56e4\1\u5730\1\u5730\1\u577c\1\u57c8\1\u5814"+
    "\1\u5860\1\u58ac\1\u58f8\1\u5944\1\u5990\1\u59dc\1\u5a28\1\u5a74"+
    "\1\u5ac0\1\u5b0c\1\u5b58\1\u5ba4\1\u5bf0\1\u5c3c\1\u5c88\1\u5cd4"+
    "\1\u5d20\1\u5d6c\1\u5db8\1\u5e04\1\u5e50\1\u5e9c\1\u5ee8\1\u5f34"+
    "\1\u5f80\1\u5fcc\1\u6018\1\u6064\1\u60b0\1\u60fc\1\u6148\1\u6194"+
    "\1\u61e0\1\u622c\1\u6278\1\u62c4\1\u6310\1\u635c\1\u63a8\1\u63f4"+
    "\1\u6440\1\u648c\1\u64d8\1\u6524\1\u6570\1\u65bc\1\u6608\1\u6654"+
    "\1\u66a0\1\u66ec\1\u6738\1\u6784\1\u67d0\1\u681c\1\u6868\1\u68b4"+
    "\1\u6900\1\u694c\1\u6998\1\u69e4\1\u6a30\1\u6a7c\1\u6ac8\1\u6b14"+
    "\1\u6b60\1\u6bac\1\u6bf8\1\u6c44\1\u6c90\1\u6cdc\1\u6d28\1\u6d74"+
    "\1\u6dc0\1\u6e0c\1\u6e58\1\u6ea4\1\u6ef0\1\u6f3c\1\u6f88\1\u6fd4"+
    "\1\u7020\1\u706c\1\u70b8\1\u7104\1\u7150\1\u719c\1\u71e8\1\u7234"+
    "\1\u7280\1\u72cc\1\u7318\1\u7364\1\u73b0\1\u73fc\1\u7448\1\u7494"+
    "\1\u74e0\1\u752c\1\u7578\1\u75c4\1\u7610\1\u765c\1\u76a8\1\u76f4"+
    "\1\u7740\1\u778c\1\u77d8\1\u7824\1\u7870\1\u78bc\1\u7908\1\u7954"+
    "\1\u79a0\1\u79ec\1\u7a38";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[1299];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\16\3\1\4\34\3\1\5\40\3\53\6\1\7\40\6"+
    "\115\0\2\10\1\0\3\10\1\0\1\11\2\12\1\10"+
    "\2\0\1\13\3\0\1\14\1\15\1\16\11\0\1\17"+
    "\1\20\1\0\1\21\1\0\1\22\1\23\1\24\1\25"+
    "\4\0\1\26\1\0\1\10\1\0\1\14\1\27\1\16"+
    "\11\0\1\17\1\30\1\0\1\21\1\0\1\22\1\23"+
    "\1\24\1\25\6\0\1\22\35\0\1\31\34\0\1\31"+
    "\37\0\1\32\77\0\2\10\1\0\3\10\1\0\1\11"+
    "\2\12\1\10\6\0\1\14\1\15\1\16\11\0\1\17"+
    "\1\20\1\0\1\21\1\0\1\22\1\23\1\24\1\25"+
    "\4\0\1\26\1\0\1\10\1\0\1\14\1\27\1\16"+
    "\11\0\1\17\1\30\1\0\1\21\1\0\1\22\1\23"+
    "\1\24\1\25\6\0\1\22\37\0\1\33\34\0\1\33"+
    "\21\0\2\12\1\0\3\12\1\0\1\34\3\12\7\0"+
    "\1\15\1\35\12\0\1\36\3\0\1\37\7\0\1\26"+
    "\1\0\1\12\2\0\1\27\1\35\12\0\1\40\3\0"+
    "\1\37\11\0\1\37\32\0\1\41\34\0\1\41\22\0"+
    "\1\41\10\0\1\42\5\0\1\43\4\0\1\44\1\0"+
    "\1\45\1\46\13\0\1\47\15\0\1\44\1\0\1\50"+
    "\1\46\13\0\1\47\43\0\1\51\3\0\1\52\13\0"+
    "\1\53\14\0\1\51\3\0\1\52\13\0\1\53\6\0"+
    "\1\52\41\0\1\54\34\0\1\54\25\0\1\55\5\0"+
    "\1\56\6\0\1\57\14\0\1\50\17\0\1\57\14\0"+
    "\1\50\63\0\1\60\34\0\1\60\36\0\1\61\15\0"+
    "\1\62\16\0\1\61\15\0\1\62\11\0\1\62\26\0"+
    "\1\63\34\0\1\63\67\0\1\64\34\0\1\64\51\0"+
    "\1\65\34\0\1\65\22\0\1\65\36\0\1\66\34\0"+
    "\1\66\36\0\1\67\4\0\1\44\1\0\1\50\1\46"+
    "\13\0\1\47\15\0\1\44\1\0\1\70\1\46\13\0"+
    "\1\47\32\0\1\71\6\0\1\57\14\0\1\50\17\0"+
    "\1\57\14\0\1\50\51\0\1\72\34\0\1\72\22\0"+
    "\1\72\34\0\1\73\34\0\1\73\44\0\1\74\34\0"+
    "\1\74\72\0\1\75\34\0\1\75\51\0\1\52\34\0"+
    "\1\52\22\0\1\52\10\0\1\55\5\0\1\56\23\0"+
    "\1\50\34\0\1\50\43\0\1\76\15\0\1\62\16\0"+
    "\1\76\15\0\1\62\11\0\1\62\15\0\1\71\23\0"+
    "\1\50\34\0\1\50\61\0\1\12\34\0\1\12\11\0"+
    "\1\12\24\0\1\50\14\0\1\77\61\0\1\100\12\0"+
    "\1\101\1\0\1\102\1\103\13\0\1\104\15\0\1\101"+
    "\1\0\1\50\1\103\13\0\1\104\42\0\1\50\34\0"+
    "\1\50\32\0\5\105\1\106\6\105\1\107\4\105\10\0"+
    "\1\110\21\0\3\105\33\0\3\105\36\0\1\50\4\0"+
    "\1\50\27\0\1\50\4\0\1\50\11\0\1\50\1\0"+
    "\5\105\1\106\6\105\1\107\4\105\1\50\1\0\1\50"+
    "\5\0\1\50\6\0\1\50\12\0\3\105\1\50\1\0"+
    "\1\50\5\0\1\50\6\0\1\50\13\0\1\111\7\105"+
    "\1\106\6\105\1\107\4\105\32\0\3\105\33\0\3\105"+
    "\23\0\1\112\34\0\1\112\76\0\1\113\34\0\1\113"+
    "\11\0\1\113\40\0\1\64\34\0\1\64\55\0\1\112"+
    "\7\0\1\114\24\0\1\112\7\0\1\114\50\0\1\50"+
    "\61\0\1\55\31\0\1\50\34\0\1\50\62\0\1\114"+
    "\34\0\1\114\33\0\1\115\7\0\1\116\24\0\1\115"+
    "\7\0\1\116\22\0\1\116\31\0\1\117\5\0\1\120"+
    "\2\0\1\121\7\0\1\122\13\0\1\117\5\0\1\120"+
    "\2\0\1\121\7\0\1\122\7\0\2\123\1\0\3\123"+
    "\1\0\1\124\4\123\6\0\1\15\1\35\12\0\1\36"+
    "\13\0\1\125\1\0\1\123\2\0\1\27\1\35\12\0"+
    "\1\40\61\0\1\126\34\0\1\126\40\0\1\127\21\0"+
    "\1\130\12\0\1\127\21\0\1\130\33\0\1\131\34\0"+
    "\1\131\66\0\1\132\34\0\1\132\22\0\1\132\21\0"+
    "\1\101\1\0\1\50\1\103\13\0\1\104\15\0\1\101"+
    "\1\0\1\133\1\103\13\0\1\104\16\0\5\105\1\106"+
    "\6\105\1\107\4\105\32\0\3\105\10\0\1\134\22\0"+
    "\3\105\40\0\1\50\34\0\1\50\54\0\1\135\34\0"+
    "\1\135\53\0\1\136\34\0\1\136\22\0\1\136\43\0"+
    "\1\137\34\0\1\137\11\0\1\137\23\0\1\140\34\0"+
    "\1\140\63\0\1\117\34\0\1\117\27\0\5\105\1\106"+
    "\1\141\5\105\1\107\4\105\32\0\3\105\33\0\3\105"+
    "\23\0\1\50\14\0\1\142\67\0\1\44\77\0\5\105"+
    "\1\106\6\105\1\143\4\105\32\0\3\105\33\0\3\105"+
    "\14\0\1\46\77\0\5\105\1\106\6\105\1\144\4\105"+
    "\32\0\3\105\33\0\3\105\2\0\1\105\111\0\5\105"+
    "\1\106\13\105\32\0\3\105\33\0\3\105\31\0\1\50"+
    "\113\0\1\145\34\0\1\145\22\0\1\145\42\0\1\146"+
    "\34\0\1\146\47\0\1\147\5\0\1\150\26\0\1\147"+
    "\5\0\1\150\14\0\1\147\46\0\1\23\34\0\1\23"+
    "\50\0\1\151\34\0\1\151\21\0\2\123\1\0\3\123"+
    "\1\0\1\124\4\123\6\0\1\15\1\35\2\0\1\62"+
    "\7\0\1\36\5\0\1\152\5\0\1\125\1\0\1\123"+
    "\2\0\1\27\1\35\2\0\1\62\7\0\1\40\5\0"+
    "\1\152\36\0\1\153\34\0\1\153\75\0\1\122\34\0"+
    "\1\122\36\0\1\127\4\0\1\147\27\0\1\127\4\0"+
    "\1\147\22\0\1\147\3\0\2\123\1\0\3\123\1\0"+
    "\1\124\3\123\7\0\1\15\1\35\12\0\1\36\13\0"+
    "\1\125\1\0\1\123\2\0\1\27\1\35\12\0\1\40"+
    "\55\0\1\154\34\0\1\154\54\0\1\155\34\0\1\155"+
    "\23\0\2\12\1\0\2\12\1\156\1\0\1\34\3\12"+
    "\7\0\1\15\1\157\12\0\1\36\3\0\1\37\2\0"+
    "\1\130\4\0\1\26\1\0\1\12\2\0\1\27\1\157"+
    "\12\0\1\40\3\0\1\37\2\0\1\130\6\0\1\37"+
    "\26\0\1\51\34\0\1\51\62\0\1\51\34\0\1\51"+
    "\22\0\1\51\33\0\1\160\34\0\1\160\22\0\1\160"+
    "\40\0\1\161\34\0\1\161\20\0\5\105\1\106\6\105"+
    "\1\162\4\105\32\0\3\105\33\0\3\105\66\0\1\50"+
    "\44\0\1\163\132\0\1\164\34\0\1\164\60\0\1\165"+
    "\34\0\1\165\61\0\1\166\34\0\1\166\11\0\1\166"+
    "\24\0\1\50\14\0\1\50\53\0\5\105\1\106\6\105"+
    "\1\167\4\105\32\0\3\105\33\0\10\105\1\106\13\105"+
    "\10\0\1\170\21\0\3\105\33\0\10\105\1\106\13\105"+
    "\1\50\1\0\1\50\5\0\1\50\3\0\1\171\2\0"+
    "\1\50\12\0\3\105\1\50\1\0\1\50\5\0\1\50"+
    "\3\0\1\171\2\0\1\50\13\0\1\111\2\105\25\0"+
    "\1\41\34\0\1\41\32\0\2\172\1\0\3\172\1\0"+
    "\1\173\2\0\2\172\22\0\1\174\1\175\14\0\1\172"+
    "\16\0\1\174\1\175\43\0\1\176\34\0\1\176\55\0"+
    "\1\127\34\0\1\127\56\0\1\127\14\0\1\177\4\0"+
    "\1\130\12\0\1\127\14\0\1\177\4\0\1\130\35\0"+
    "\1\200\34\0\1\200\65\0\1\12\34\0\1\12\44\0"+
    "\1\201\34\0\1\201\67\0\1\202\34\0\1\202\22\0"+
    "\1\202\1\0\2\12\1\0\3\12\1\0\1\34\3\12"+
    "\7\0\1\15\1\157\12\0\1\36\3\0\1\37\7\0"+
    "\1\26\1\0\1\12\2\0\1\27\1\157\12\0\1\40"+
    "\3\0\1\37\11\0\1\37\26\0\1\51\3\0\1\52"+
    "\30\0\1\51\3\0\1\52\22\0\1\52\27\0\1\203"+
    "\34\0\1\203\50\0\1\204\74\0\5\105\1\106\13\105"+
    "\32\0\3\105\10\0\1\205\22\0\3\105\21\0\1\206"+
    "\1\207\1\210\1\211\1\212\1\213\2\207\1\214\2\207"+
    "\1\215\1\207\1\216\1\207\1\217\1\207\1\220\1\221"+
    "\3\207\1\222\3\207\2\0\1\207\1\223\1\0\1\224"+
    "\1\225\1\226\1\227\2\0\1\230\2\0\1\231\1\0"+
    "\1\232\1\0\1\233\1\0\1\234\1\235\3\0\1\236"+
    "\4\0\1\230\1\235\21\0\1\10\133\0\1\237\34\0"+
    "\1\237\16\0\5\105\1\106\1\240\12\105\32\0\3\105"+
    "\33\0\3\105\14\0\1\110\113\0\1\241\100\0\2\172"+
    "\1\0\3\172\1\0\1\173\2\0\1\172\24\0\1\175"+
    "\14\0\1\172\17\0\1\175\54\0\1\242\34\0\1\242"+
    "\63\0\1\243\34\0\1\243\11\0\1\243\43\0\1\244"+
    "\34\0\1\244\57\0\1\245\34\0\1\245\11\0\1\245"+
    "\46\0\1\246\34\0\1\246\47\0\1\247\34\0\1\247"+
    "\63\0\1\250\34\0\1\250\11\0\1\250\37\0\1\251"+
    "\34\0\1\251\63\0\1\252\34\0\1\252\11\0\1\252"+
    "\44\0\1\253\34\0\1\253\11\0\1\253\15\0\1\134"+
    "\116\0\1\254\1\0\15\207\1\255\3\207\1\256\10\207"+
    "\2\0\1\207\15\0\1\257\3\0\1\260\33\0\1\254"+
    "\1\0\32\207\2\0\1\207\55\0\1\254\1\0\13\207"+
    "\1\261\2\207\1\262\13\207\2\0\1\207\13\0\1\263"+
    "\2\0\1\264\36\0\1\254\1\0\16\207\1\265\13\207"+
    "\2\0\1\207\16\0\1\266\36\0\1\254\1\0\24\207"+
    "\1\267\5\207\2\0\1\207\24\0\1\270\30\0\1\254"+
    "\1\0\24\207\1\271\5\207\2\0\1\207\24\0\1\272"+
    "\30\0\1\254\1\0\23\207\1\273\6\207\2\0\1\207"+
    "\23\0\1\274\31\0\1\254\1\0\4\207\1\275\25\207"+
    "\2\0\1\207\4\0\1\276\50\0\1\254\1\0\24\207"+
    "\1\277\5\207\2\0\1\207\24\0\1\300\30\0\1\254"+
    "\1\0\1\301\15\207\1\302\13\207\2\0\1\207\1\303"+
    "\15\0\1\304\36\0\1\254\1\0\4\207\1\305\25\207"+
    "\2\0\1\207\4\0\1\306\50\0\1\254\1\0\4\207"+
    "\1\307\25\207\2\0\1\207\4\0\1\310\50\0\1\254"+
    "\1\0\21\207\1\311\10\207\2\0\1\207\21\0\1\312"+
    "\52\0\1\257\3\0\1\260\30\0\1\257\3\0\1\260"+
    "\50\0\1\263\2\0\1\264\31\0\1\263\2\0\1\264"+
    "\56\0\1\266\34\0\1\266\64\0\1\270\34\0\1\270"+
    "\56\0\1\272\34\0\1\272\55\0\1\274\34\0\1\274"+
    "\37\0\1\276\34\0\1\276\76\0\1\300\34\0\1\300"+
    "\32\0\1\303\15\0\1\304\16\0\1\303\15\0\1\304"+
    "\44\0\1\306\34\0\1\306\56\0\1\310\34\0\1\310"+
    "\73\0\1\312\34\0\1\312\34\0\1\12\116\0\1\50"+
    "\5\0\1\50\6\0\1\50\102\0\1\50\10\0\1\50"+
    "\23\0\1\50\10\0\1\50\40\0\1\313\34\0\1\313"+
    "\65\0\1\314\34\0\1\314\22\0\1\314\27\0\1\315"+
    "\34\0\1\315\32\0\2\12\1\0\2\12\1\156\1\0"+
    "\1\34\3\12\7\0\1\15\1\157\12\0\1\36\3\0"+
    "\1\37\7\0\1\26\1\0\1\12\2\0\1\27\1\157"+
    "\12\0\1\40\3\0\1\37\11\0\1\37\32\0\1\147"+
    "\34\0\1\147\22\0\1\147\46\0\1\316\34\0\1\316"+
    "\52\0\1\317\34\0\1\317\35\0\1\320\75\0\2\12"+
    "\1\0\2\12\1\321\1\0\1\34\3\12\6\0\1\14"+
    "\1\15\1\35\12\0\1\36\1\0\1\322\1\0\1\323"+
    "\1\324\6\0\1\26\1\0\1\12\1\0\1\14\1\27"+
    "\1\35\12\0\1\40\1\0\1\322\1\0\1\323\1\324"+
    "\10\0\1\323\45\0\1\325\34\0\1\325\12\0\2\254"+
    "\1\0\2\254\1\0\1\254\1\0\7\254\1\326\33\254"+
    "\2\0\37\254\17\0\1\254\1\0\15\207\1\327\14\207"+
    "\2\0\1\207\15\0\1\330\37\0\1\254\1\0\23\207"+
    "\1\331\6\207\2\0\1\207\23\0\1\332\50\0\1\330"+
    "\34\0\1\330\64\0\1\332\34\0\1\332\31\0\1\254"+
    "\1\0\32\207\2\0\1\333\55\0\1\254\1\0\14\207"+
    "\1\334\15\207\2\0\1\207\14\0\1\335\76\0\1\336"+
    "\73\0\1\335\34\0\1\335\40\0\1\254\1\0\2\207"+
    "\1\337\27\207\2\0\1\207\2\0\1\340\56\0\1\340"+
    "\34\0\1\340\52\0\1\254\1\0\32\207\2\0\1\341"+
    "\113\0\1\342\55\0\1\254\1\0\13\207\1\343\16\207"+
    "\2\0\1\207\13\0\1\344\56\0\1\344\34\0\1\344"+
    "\41\0\1\254\1\0\4\207\1\345\25\207\2\0\1\207"+
    "\4\0\1\346\56\0\1\346\34\0\1\346\50\0\1\254"+
    "\1\0\6\207\1\347\14\207\1\350\6\207\2\0\1\207"+
    "\6\0\1\351\14\0\1\352\41\0\1\351\14\0\1\352"+
    "\17\0\1\351\14\0\1\352\31\0\1\254\1\0\14\207"+
    "\1\353\15\207\2\0\1\207\14\0\1\354\56\0\1\354"+
    "\34\0\1\354\40\0\1\254\1\0\21\207\1\355\10\207"+
    "\2\0\1\207\21\0\1\356\33\0\1\254\1\0\10\207"+
    "\1\357\21\207\2\0\1\207\10\0\1\360\22\0\1\360"+
    "\44\0\1\356\34\0\1\356\45\0\1\360\34\0\1\360"+
    "\22\0\1\360\21\0\1\254\1\0\5\207\1\361\24\207"+
    "\2\0\1\207\5\0\1\362\56\0\1\362\34\0\1\362"+
    "\47\0\1\254\1\0\15\207\1\363\14\207\2\0\1\207"+
    "\15\0\1\364\56\0\1\364\34\0\1\364\37\0\1\254"+
    "\1\0\16\207\1\365\13\207\2\0\1\207\16\0\1\366"+
    "\56\0\1\366\34\0\1\366\62\0\1\367\34\0\1\367"+
    "\11\0\1\367\53\0\1\370\34\0\1\370\20\0\1\371"+
    "\17\0\1\372\34\0\1\372\22\0\2\123\4\0\106\123"+
    "\20\0\1\123\136\0\1\373\34\0\1\373\11\0\1\373"+
    "\2\0\2\12\1\0\3\12\1\0\1\34\3\12\6\0"+
    "\1\14\1\15\1\35\12\0\1\36\1\0\1\322\1\0"+
    "\1\323\1\324\6\0\1\26\1\0\1\12\1\0\1\14"+
    "\1\27\1\35\12\0\1\40\1\0\1\322\1\0\1\323"+
    "\1\324\10\0\1\323\46\0\1\374\34\0\1\374\36\0"+
    "\1\375\15\0\1\62\16\0\1\375\15\0\1\62\11\0"+
    "\1\62\26\0\1\376\34\0\1\376\71\0\1\377\34\0"+
    "\1\377\34\0\1\u0100\114\0\1\254\1\0\4\207\1\u0101"+
    "\25\207\2\0\1\207\4\0\1\u0102\56\0\1\u0102\34\0"+
    "\1\u0102\50\0\1\254\1\0\10\207\1\u0103\21\207\2\0"+
    "\1\207\10\0\1\u0104\22\0\1\u0104\33\0\1\u0104\34\0"+
    "\1\u0104\22\0\1\u0104\21\0\1\254\1\0\1\u0105\2\207"+
    "\1\u0106\15\207\1\220\10\207\2\0\1\207\1\u0107\2\0"+
    "\1\u0108\15\0\1\234\33\0\1\254\1\0\14\207\1\u0109"+
    "\15\207\2\0\1\207\14\0\1\u010a\56\0\1\u010a\34\0"+
    "\1\u010a\42\0\1\u0107\2\0\1\u0108\15\0\1\234\13\0"+
    "\1\u0107\2\0\1\u0108\15\0\1\234\33\0\1\254\1\0"+
    "\23\207\1\u010b\6\207\2\0\1\207\23\0\1\u010c\56\0"+
    "\1\u010c\34\0\1\u010c\31\0\1\254\1\0\2\207\1\u010d"+
    "\10\207\1\u010e\16\207\2\0\1\207\2\0\1\u010f\10\0"+
    "\1\u0110\45\0\1\u010f\10\0\1\u0110\23\0\1\u010f\10\0"+
    "\1\u0110\41\0\1\254\1\0\13\207\1\u0111\16\207\2\0"+
    "\1\207\13\0\1\u0112\56\0\1\u0112\34\0\1\u0112\41\0"+
    "\1\254\1\0\14\207\1\u0113\15\207\2\0\1\207\14\0"+
    "\1\u0114\56\0\1\u0114\34\0\1\u0114\40\0\1\254\1\0"+
    "\32\207\2\0\1\u0115\55\0\1\254\1\0\23\207\1\u0116"+
    "\6\207\2\0\1\207\23\0\1\u0117\67\0\1\u0118\102\0"+
    "\1\u0117\34\0\1\u0117\31\0\1\254\1\0\1\207\1\u0119"+
    "\30\207\2\0\1\207\1\0\1\u011a\56\0\1\u011a\34\0"+
    "\1\u011a\53\0\1\254\1\0\1\u011b\22\207\1\u011c\6\207"+
    "\2\0\1\207\1\u011d\22\0\1\u011e\33\0\1\u011d\22\0"+
    "\1\u011e\11\0\1\u011d\22\0\1\u011e\31\0\1\254\1\0"+
    "\15\207\1\u011f\14\207\2\0\1\207\15\0\1\u0120\56\0"+
    "\1\u0120\34\0\1\u0120\37\0\1\u0121\1\0\32\207\2\0"+
    "\1\207\55\0\1\u0122\113\0\1\254\1\0\23\207\1\u0123"+
    "\6\207\2\0\1\207\23\0\1\u0124\56\0\1\u0124\34\0"+
    "\1\u0124\31\0\1\254\1\0\15\207\1\u0125\14\207\2\0"+
    "\1\207\15\0\1\u0126\56\0\1\u0126\34\0\1\u0126\60\0"+
    "\1\u0127\34\0\1\u0127\47\0\1\u0128\34\0\1\u0128\22\0"+
    "\1\u0128\3\0\2\371\1\0\3\371\1\0\1\u0129\3\371"+
    "\7\0\1\u012a\27\0\1\u012b\1\0\1\371\2\0\1\u012a"+
    "\47\0\1\371\14\0\1\u012c\34\0\1\u012c\22\0\1\u012c"+
    "\46\0\1\u012d\34\0\1\u012d\33\0\1\u012e\7\0\1\u012f"+
    "\24\0\1\u012e\7\0\1\u012f\22\0\1\u012f\31\0\1\117"+
    "\5\0\1\120\26\0\1\117\5\0\1\120\63\0\1\12"+
    "\34\0\1\12\63\0\1\u0130\34\0\1\u0130\25\0\1\u0100"+
    "\35\0\1\u0131\56\0\1\254\1\0\27\207\1\u0113\2\207"+
    "\2\0\1\207\27\0\1\u0114\56\0\1\u0114\34\0\1\u0114"+
    "\25\0\1\254\1\0\2\207\1\u0132\27\207\2\0\1\207"+
    "\2\0\1\u0133\56\0\1\u0133\34\0\1\u0133\52\0\1\254"+
    "\1\0\24\207\1\u0134\5\207\2\0\1\207\24\0\1\u0135"+
    "\30\0\1\254\1\0\16\207\1\u0136\13\207\2\0\1\207"+
    "\16\0\1\u0137\64\0\1\u0135\34\0\1\u0135\50\0\1\u0137"+
    "\34\0\1\u0137\36\0\1\254\1\0\1\u0113\31\207\2\0"+
    "\1\207\1\u0114\56\0\1\u0114\34\0\1\u0114\54\0\1\254"+
    "\1\0\30\207\1\u0138\1\207\2\0\1\207\30\0\1\u0139"+
    "\56\0\1\u0139\34\0\1\u0139\24\0\1\254\1\0\13\207"+
    "\1\u013a\16\207\2\0\1\207\13\0\1\u013b\41\0\1\254"+
    "\1\0\4\207\1\u013c\25\207\2\0\1\207\4\0\1\u013d"+
    "\65\0\1\u013b\34\0\1\u013b\47\0\1\u013d\34\0\1\u013d"+
    "\50\0\1\254\1\0\32\207\2\0\1\u013e\113\0\1\u013f"+
    "\55\0\1\u0140\1\0\32\207\2\0\1\207\55\0\1\u0141"+
    "\113\0\1\254\1\0\1\u0142\2\207\1\211\15\207\1\u0143"+
    "\10\207\2\0\1\207\1\u0144\2\0\1\225\15\0\1\u0145"+
    "\33\0\1\254\1\0\4\207\1\u0146\25\207\2\0\1\207"+
    "\4\0\1\u0147\56\0\1\u0147\34\0\1\u0147\52\0\1\u0144"+
    "\2\0\1\225\15\0\1\u0145\13\0\1\u0144\2\0\1\225"+
    "\15\0\1\u0145\33\0\1\254\1\0\4\207\1\u0148\25\207"+
    "\2\0\1\207\4\0\1\u0149\56\0\1\u0149\34\0\1\u0149"+
    "\50\0\1\254\1\0\6\207\1\u014a\23\207\2\0\1\207"+
    "\6\0\1\u014b\46\0\1\254\1\0\4\207\1\u0113\3\207"+
    "\1\u014c\21\207\2\0\1\207\4\0\1\u0114\3\0\1\u014d"+
    "\22\0\1\u014d\31\0\1\u014b\34\0\1\u014b\54\0\1\u0114"+
    "\3\0\1\u014d\30\0\1\u0114\3\0\1\u014d\22\0\1\u014d"+
    "\21\0\1\254\1\0\23\207\1\u0113\6\207\2\0\1\207"+
    "\23\0\1\u0114\56\0\1\u0114\34\0\1\u0114\12\0\2\u0121"+
    "\1\0\2\u0121\1\0\1\u0121\1\0\7\u0121\1\u014e\33\u0121"+
    "\2\0\37\u0121\2\u0122\1\0\2\u0122\1\0\1\u0122\1\0"+
    "\7\u0122\1\u014f\33\u0122\2\0\37\u0122\17\0\1\254\1\0"+
    "\4\207\1\u0150\25\207\2\0\1\207\4\0\1\u0151\56\0"+
    "\1\u0151\34\0\1\u0151\50\0\1\254\1\0\6\207\1\u0152"+
    "\23\207\2\0\1\207\6\0\1\u0153\56\0\1\u0153\34\0"+
    "\1\u0153\47\0\1\172\132\0\1\u0154\34\0\1\u0154\55\0"+
    "\1\u0155\34\0\1\u0155\34\0\1\u0156\133\0\1\u0157\34\0"+
    "\1\u0157\57\0\1\u0158\34\0\1\u0158\61\0\1\u0159\34\0"+
    "\1\u0159\62\0\1\324\34\0\1\324\50\0\1\u015a\34\0"+
    "\1\u015a\37\0\1\u015b\113\0\1\254\1\0\13\207\1\u015c"+
    "\16\207\2\0\1\207\13\0\1\u015d\56\0\1\u015d\34\0"+
    "\1\u015d\41\0\1\254\1\0\23\207\1\u015e\6\207\2\0"+
    "\1\207\23\0\1\u015f\56\0\1\u015f\34\0\1\u015f\31\0"+
    "\1\254\1\0\2\207\1\u0160\27\207\2\0\1\207\2\0"+
    "\1\u0161\56\0\1\u0161\34\0\1\u0161\52\0\1\254\1\0"+
    "\17\207\1\u0162\12\207\2\0\1\207\17\0\1\u0163\56\0"+
    "\1\u0163\34\0\1\u0163\35\0\1\254\1\0\32\207\2\0"+
    "\1\u0164\113\0\1\u0165\55\0\1\254\1\0\6\207\1\u0166"+
    "\23\207\2\0\1\207\6\0\1\u0167\56\0\1\u0167\34\0"+
    "\1\u0167\46\0\1\254\1\0\4\207\1\u0168\10\207\1\u0169"+
    "\14\207\2\0\1\207\4\0\1\u016a\10\0\1\u016b\45\0"+
    "\1\u016a\10\0\1\u016b\23\0\1\u016a\10\0\1\u016b\20\0"+
    "\2\u0140\1\0\2\u0140\1\0\1\u0140\1\0\7\u0140\1\u016c"+
    "\33\u0140\2\0\37\u0140\2\u0141\1\0\2\u0141\1\0\1\u0141"+
    "\1\0\7\u0141\1\u016d\33\u0141\2\0\37\u0141\17\0\1\254"+
    "\1\0\13\207\1\u016e\10\207\1\u0134\5\207\2\0\1\207"+
    "\13\0\1\u016f\10\0\1\u0135\30\0\1\254\1\0\4\207"+
    "\1\u0170\25\207\2\0\1\207\4\0\1\u0171\65\0\1\u016f"+
    "\10\0\1\u0135\23\0\1\u016f\10\0\1\u0135\36\0\1\u0171"+
    "\34\0\1\u0171\50\0\1\254\1\0\21\207\1\u0113\10\207"+
    "\2\0\1\207\21\0\1\u0114\56\0\1\u0114\34\0\1\u0114"+
    "\33\0\1\254\1\0\21\207\1\u0172\10\207\2\0\1\207"+
    "\21\0\1\u0173\56\0\1\u0173\34\0\1\u0173\33\0\1\254"+
    "\1\0\21\207\1\u0174\10\207\2\0\1\207\21\0\1\u0175"+
    "\56\0\1\u0175\34\0\1\u0175\33\0\1\254\1\0\23\207"+
    "\1\u0176\6\207\2\0\1\207\23\0\1\u0177\56\0\1\u0177"+
    "\34\0\1\u0177\30\0\1\u0178\113\0\1\u0179\114\0\1\254"+
    "\1\0\15\207\1\u017a\14\207\2\0\1\207\15\0\1\u017b"+
    "\56\0\1\u017b\34\0\1\u017b\37\0\1\254\1\0\32\207"+
    "\2\0\1\u017c\113\0\1\u017d\74\0\1\u017e\34\0\1\u017e"+
    "\42\0\1\u017f\34\0\1\u017f\57\0\1\50\34\0\1\50"+
    "\66\0\1\u0180\34\0\1\u0180\22\0\1\u0180\14\0\1\371"+
    "\14\0\1\u0181\34\0\1\u0181\22\0\1\u0181\51\0\1\u0182"+
    "\34\0\1\u0182\50\0\1\u0183\34\0\1\u0183\15\0\2\u015b"+
    "\1\0\2\u015b\1\0\1\u015b\1\0\7\u015b\1\u0184\33\u015b"+
    "\2\0\37\u015b\17\0\1\254\1\0\4\207\1\u0113\25\207"+
    "\2\0\1\207\4\0\1\u0114\56\0\1\u0114\34\0\1\u0114"+
    "\50\0\1\254\1\0\7\207\1\u0185\22\207\2\0\1\207"+
    "\7\0\1\u0186\56\0\1\u0186\34\0\1\u0186\45\0\1\254"+
    "\1\0\23\207\1\u0187\6\207\2\0\1\207\23\0\1\u0188"+
    "\56\0\1\u0188\34\0\1\u0188\31\0\1\254\1\0\4\207"+
    "\1\u0189\25\207\2\0\1\207\4\0\1\u018a\56\0\1\u018a"+
    "\34\0\1\u018a\50\0\1\254\1\0\1\u0105\20\207\1\220"+
    "\10\207\2\0\1\207\1\u0107\20\0\1\234\35\0\1\u0107"+
    "\20\0\1\234\13\0\1\u0107\20\0\1\234\33\0\1\254"+
    "\1\0\32\207\2\0\1\u018b\113\0\1\u018c\55\0\1\254"+
    "\1\0\24\207\1\u018d\5\207\2\0\1\207\24\0\1\u018e"+
    "\30\0\1\254\1\0\24\207\1\u018f\5\207\2\0\1\207"+
    "\24\0\1\u0190\56\0\1\u018e\34\0\1\u018e\56\0\1\u0190"+
    "\34\0\1\u0190\27\0\1\u0191\113\0\1\u0192\114\0\1\254"+
    "\1\0\10\207\1\u0193\21\207\2\0\1\207\10\0\1\u0194"+
    "\22\0\1\u0194\33\0\1\u0194\34\0\1\u0194\22\0\1\u0194"+
    "\21\0\1\254\1\0\5\207\1\u0195\24\207\2\0\1\207"+
    "\5\0\1\u0196\56\0\1\u0196\34\0\1\u0196\47\0\1\u0197"+
    "\1\0\32\207\2\0\1\u0198\55\0\1\u0199\35\0\1\u019a"+
    "\55\0\1\254\1\0\1\u019b\31\207\2\0\1\207\1\u019c"+
    "\56\0\1\u019c\34\0\1\u019c\54\0\1\254\1\0\10\207"+
    "\1\u019d\21\207\2\0\1\207\10\0\1\u019e\22\0\1\u019e"+
    "\33\0\1\u019e\34\0\1\u019e\22\0\1\u019e\20\0\1\u0178"+
    "\35\0\1\u019f\55\0\1\u0179\35\0\1\u01a0\56\0\1\254"+
    "\1\0\2\207\1\u015c\27\207\2\0\1\207\2\0\1\u015d"+
    "\56\0\1\u015d\34\0\1\u015d\52\0\1\254\1\0\3\207"+
    "\1\u01a1\26\207\2\0\1\207\3\0\1\u01a2\56\0\1\u01a2"+
    "\34\0\1\u01a2\63\0\1\172\34\0\1\172\22\0\1\172"+
    "\45\0\1\u01a3\34\0\1\u01a3\11\0\1\u01a3\37\0\1\u01a4"+
    "\34\0\1\u01a4\56\0\1\u01a5\34\0\1\u01a5\37\0\1\u01a6"+
    "\141\0\1\112\34\0\1\112\27\0\1\u01a7\114\0\1\u01a8"+
    "\1\0\32\207\2\0\1\207\55\0\1\u01a9\113\0\1\254"+
    "\1\0\30\207\1\u01aa\1\207\2\0\1\207\30\0\1\u01ab"+
    "\56\0\1\u01ab\34\0\1\u01ab\24\0\1\u01ac\1\0\32\207"+
    "\2\0\1\207\55\0\1\u01ad\113\0\1\254\1\0\1\u0105"+
    "\2\207\1\u0106\15\207\1\u0143\10\207\2\0\1\207\1\u0107"+
    "\2\0\1\u0108\15\0\1\u0145\35\0\1\u0107\2\0\1\u0108"+
    "\15\0\1\u0145\13\0\1\u0107\2\0\1\u0108\15\0\1\u0145"+
    "\33\0\1\254\1\0\32\207\2\0\1\u01ae\113\0\1\u01af"+
    "\55\0\1\254\1\0\14\207\1\u01b0\15\207\2\0\1\207"+
    "\14\0\1\u01b1\56\0\1\u01b1\34\0\1\u01b1\37\0\1\u0191"+
    "\35\0\1\u01b2\55\0\1\u0192\35\0\1\u01b3\56\0\1\254"+
    "\1\0\1\u01b4\31\207\2\0\1\207\1\u01b5\56\0\1\u01b5"+
    "\34\0\1\u01b5\54\0\1\u0121\1\0\32\207\2\0\1\u01b6"+
    "\55\0\1\u0122\35\0\1\u01b7\36\0\2\u0197\1\0\2\u0197"+
    "\1\0\1\u0197\1\0\7\u0197\1\u01b8\33\u0197\2\0\37\u0197"+
    "\17\0\1\254\1\0\30\207\1\u01b9\1\207\2\0\1\207"+
    "\30\0\1\u01ba\5\0\2\u0199\1\0\2\u0199\1\0\1\u0199"+
    "\1\0\7\u0199\1\u01bb\33\u0199\2\0\37\u0199\51\0\1\u01ba"+
    "\34\0\1\u01ba\24\0\1\254\1\0\17\207\1\u01bc\12\207"+
    "\2\0\1\207\17\0\1\u01bd\56\0\1\u01bd\34\0\1\u01bd"+
    "\35\0\1\254\1\0\16\207\1\u01be\13\207\2\0\1\207"+
    "\16\0\1\u01bf\56\0\1\u01bf\34\0\1\u01bf\17\0\53\u01c0"+
    "\1\0\40\u01c0\17\0\1\254\1\0\1\u01c1\31\207\2\0"+
    "\1\207\1\u01c2\56\0\1\u01c2\34\0\1\u01c2\75\0\1\u01c3"+
    "\34\0\1\u01c3\35\0\1\u01c4\115\0\1\u01c5\34\0\1\u01c5"+
    "\35\0\2\u01a6\1\0\2\u01a6\1\0\1\u01a6\1\0\7\u01a6"+
    "\1\u01c6\33\u01a6\2\0\37\u01a6\16\0\1\u01a7\35\0\1\u01c7"+
    "\37\0\2\u01a8\1\0\2\u01a8\1\0\1\u01a8\1\0\7\u01a8"+
    "\1\u01c8\33\u01a8\2\0\37\u01a8\2\u01a9\1\0\2\u01a9\1\0"+
    "\1\u01a9\1\0\7\u01a9\1\u01c9\33\u01a9\2\0\37\u01a9\17\0"+
    "\1\254\1\0\17\207\1\u01ca\12\207\2\0\1\207\17\0"+
    "\1\u01cb\56\0\1\u01cb\34\0\1\u01cb\16\0\2\u01a8\1\0"+
    "\2\u01a8\1\0\1\u01a8\1\0\7\u01a8\1\u01c8\24\u01a8\1\u01cc"+
    "\6\u01a8\2\0\24\u01a8\1\u01cc\12\u01a8\2\u01a9\1\0\2\u01a9"+
    "\1\0\1\u01a9\1\0\7\u01a9\1\u01c9\24\u01a9\1\u01cd\6\u01a9"+
    "\2\0\24\u01a9\1\u01cd\12\u01a9\17\0\1\254\1\0\15\207"+
    "\1\u0169\14\207\2\0\1\207\15\0\1\u016b\56\0\1\u016b"+
    "\34\0\1\u016b\37\0\1\254\1\0\1\207\1\u01ce\30\207"+
    "\2\0\1\207\1\0\1\u01cf\56\0\1\u01cf\34\0\1\u01cf"+
    "\34\0\53\u01d0\1\0\40\u01d0\17\0\1\254\1\0\22\207"+
    "\1\u01d1\7\207\2\0\1\207\22\0\1\u01d2\11\0\1\u01d2"+
    "\44\0\1\u01d2\34\0\1\u01d2\11\0\1\u01d2\20\0\1\254"+
    "\1\0\17\207\1\u01d3\12\207\2\0\1\207\17\0\1\u01d4"+
    "\56\0\1\u01d4\34\0\1\u01d4\34\0\1\u01d5\114\0\1\254"+
    "\1\0\4\207\1\u01d6\25\207\2\0\1\207\4\0\1\u01d7"+
    "\56\0\1\u01d7\34\0\1\u01d7\47\0\1\u01d8\114\0\1\254"+
    "\1\0\7\207\1\u0113\22\207\2\0\1\207\7\0\1\u0114"+
    "\56\0\1\u0114\34\0\1\u0114\45\0\1\254\1\0\15\207"+
    "\1\u01d9\14\207\2\0\1\207\15\0\1\u01da\56\0\1\u01da"+
    "\34\0\1\u01da\20\0\53\u01c0\1\u01db\40\u01c0\17\0\1\254"+
    "\1\0\23\207\1\u01dc\6\207\2\0\1\207\23\0\1\u01dd"+
    "\56\0\1\u01dd\34\0\1\u01dd\32\0\1\371\136\0\1\u01de"+
    "\34\0\1\u01de\11\0\1\u01de\43\0\1\u01df\34\0\1\u01df"+
    "\32\0\1\u01e0\75\0\53\u01e1\1\0\40\u01e1\16\0\1\u01e2"+
    "\113\0\1\u01e3\114\0\1\254\1\0\4\207\1\u0185\25\207"+
    "\2\0\1\207\4\0\1\u0186\56\0\1\u0186\34\0\1\u0186"+
    "\31\0\2\u01a8\1\0\2\u01a8\1\0\1\u01a8\1\0\7\u01a8"+
    "\1\u01c8\25\u01a8\1\u01e4\5\u01a8\2\0\25\u01a8\1\u01e4\11\u01a8"+
    "\2\u01a9\1\0\2\u01a9\1\0\1\u01a9\1\0\7\u01a9\1\u01c9"+
    "\25\u01a9\1\u01e5\5\u01a9\2\0\25\u01a9\1\u01e5\11\u01a9\17\0"+
    "\1\254\1\0\4\207\1\u01e6\25\207\2\0\1\207\4\0"+
    "\1\u01e7\56\0\1\u01e7\34\0\1\u01e7\31\0\53\u01d0\1\u01e8"+
    "\40\u01d0\17\0\1\u01e9\1\0\32\207\2\0\1\207\55\0"+
    "\1\u01ea\113\0\1\254\1\0\1\u01eb\31\207\2\0\1\207"+
    "\1\u01ec\56\0\1\u01ec\34\0\1\u01ec\53\0\1\u01d5\35\0"+
    "\1\u01ed\56\0\1\254\1\0\1\u01e6\31\207\2\0\1\207"+
    "\1\u01e7\56\0\1\u01e7\34\0\1\u01e7\53\0\1\u01d8\35\0"+
    "\1\u01ee\56\0\1\u01ef\1\0\32\207\2\0\1\207\55\0"+
    "\1\u01f0\111\0\1\u01f1\115\0\1\254\1\0\4\207\1\u01f2"+
    "\25\207\2\0\1\207\4\0\1\u01f3\56\0\1\u01f3\34\0"+
    "\1\u01f3\75\0\1\u01f4\34\0\1\u01f4\43\0\1\371\34\0"+
    "\1\371\22\0\1\371\20\0\1\u01e0\35\0\1\u01f5\37\0"+
    "\53\u01e1\1\u01f6\40\u01e1\16\0\1\u01e2\35\0\1\u01f7\55\0"+
    "\1\u01e3\35\0\1\u01f8\37\0\2\u01a8\1\0\2\u01a8\1\0"+
    "\1\u01a8\1\0\7\u01a8\1\u01f9\33\u01a8\2\0\37\u01a8\2\u01a9"+
    "\1\0\2\u01a9\1\0\1\u01a9\1\0\7\u01a9\1\u01fa\33\u01a9"+
    "\2\0\37\u01a9\17\0\1\254\1\0\21\207\1\u01fb\10\207"+
    "\2\0\1\207\21\0\1\u01fc\56\0\1\u01fc\34\0\1\u01fc"+
    "\31\0\1\u01fd\76\0\2\u01e9\1\0\2\u01e9\1\0\1\u01e9"+
    "\1\0\7\u01e9\1\u01fe\33\u01e9\2\0\37\u01e9\2\u01ea\1\0"+
    "\2\u01ea\1\0\1\u01ea\1\0\7\u01ea\1\u01ff\33\u01ea\2\0"+
    "\37\u01ea\17\0\1\254\1\0\21\207\1\u0200\10\207\2\0"+
    "\1\207\21\0\1\u0201\56\0\1\u0201\34\0\1\u0201\14\0"+
    "\53\u0202\1\0\40\u0202\2\u0203\1\u0204\2\u0203\1\u0204\1\u0203"+
    "\1\u0204\7\u0203\1\u0205\33\u0203\2\u0204\37\u0203\2\u0206\1\u0204"+
    "\2\u0206\1\u0204\1\u0206\1\u0204\7\u0206\1\u0207\33\u0206\2\u0204"+
    "\37\u0206\34\0\1\u0208\34\0\1\u0208\41\0\1\u0209\1\0"+
    "\32\207\2\0\1\207\55\0\1\u020a\134\0\1\u020b\34\0"+
    "\1\u020b\16\0\53\u020c\1\0\40\u020c\15\0\1\u020d\76\0"+
    "\53\u020e\1\0\40\u020e\16\0\1\u020f\113\0\1\u0210\114\0"+
    "\1\u0211\1\0\32\207\2\0\1\207\55\0\1\u0212\130\0"+
    "\1\u0213\34\0\1\u0213\40\0\1\u0214\113\0\1\u0215\114\0"+
    "\1\254\1\0\23\207\1\361\6\207\2\0\1\207\23\0"+
    "\1\362\56\0\1\362\34\0\1\362\12\0\53\u0202\1\u0216"+
    "\40\u0202\2\u0203\1\u0204\2\u0203\1\u0204\1\u0203\1\u0204\7\u0203"+
    "\1\u0205\22\u0203\1\u0217\10\u0203\2\u0204\22\u0203\1\u0217\14\u0203"+
    "\17\u0204\1\0\22\u0204\1\u0218\34\u0204\1\u0218\14\u0204\16\0"+
    "\1\u0219\75\0\2\u0206\1\u0204\2\u0206\1\u0204\1\u0206\1\u0204"+
    "\7\u0206\1\u0207\22\u0206\1\u021a\10\u0206\2\u0204\22\u0206\1\u021a"+
    "\14\u0206\16\0\1\u021b\130\0\1\u021c\34\0\1\u021c\22\0"+
    "\1\u021c\2\u0209\1\0\2\u0209\1\0\1\u0209\1\0\7\u0209"+
    "\1\u021d\33\u0209\2\0\37\u0209\2\u020a\1\0\2\u020a\1\0"+
    "\1\u020a\1\0\7\u020a\1\u021e\33\u020a\2\0\37\u020a\47\0"+
    "\1\u021f\34\0\1\u021f\7\0\53\u020c\1\u0220\40\u020c\34\0"+
    "\1\u0221\34\0\1\u0221\22\0\53\u020e\1\u0222\40\u020e\16\0"+
    "\1\u020f\35\0\1\u0223\55\0\1\u0210\35\0\1\u0224\37\0"+
    "\2\u0211\1\0\2\u0211\1\0\1\u0211\1\0\7\u0211\1\u0225"+
    "\33\u0211\2\0\37\u0211\2\u0212\1\0\2\u0212\1\0\1\u0212"+
    "\1\0\7\u0212\1\u0226\33\u0212\2\0\37\u0212\33\0\1\u0227"+
    "\34\0\1\u0227\22\0\1\u0227\16\0\1\u0214\35\0\1\u0228"+
    "\55\0\1\u0215\35\0\1\u0229\54\0\1\u022a\76\0\2\u0203"+
    "\1\u0204\2\u0203\1\u0204\1\u0203\1\u0204\7\u0203\1\u0205\22\u0203"+
    "\1\u0217\1\u0203\1\u022b\6\u0203\2\u0204\22\u0203\1\u0217\1\u0203"+
    "\1\u022b\12\u0203\17\u0204\1\0\22\u0204\1\u0218\1\u0204\1\u022c"+
    "\32\u0204\1\u0218\1\u0204\1\u022c\12\u0204\16\0\1\u0219\35\0"+
    "\1\u022d\37\0\2\u0206\1\u0204\2\u0206\1\u0204\1\u0206\1\u0204"+
    "\7\u0206\1\u0207\22\u0206\1\u021a\1\u0206\1\u022e\6\u0206\2\u0204"+
    "\22\u0206\1\u021a\1\u0206\1\u022e\12\u0206\16\0\1\u021b\35\0"+
    "\1\u022f\75\0\1\u0230\34\0\1\u0230\36\0\1\u0231\113\0"+
    "\1\u0232\114\0\1\u0233\111\0\1\u0234\131\0\1\u0235\34\0"+
    "\1\u0235\22\0\1\u0235\15\0\1\u0236\76\0\53\u0237\1\0"+
    "\40\u0237\16\0\1\u0238\113\0\1\u0239\133\0\1\u023a\34\0"+
    "\1\u023a\20\0\53\u023b\1\0\40\u023b\34\0\1\u023c\34\0"+
    "\1\u023c\22\0\2\u0203\1\u0204\2\u0203\1\u0204\1\u0203\1\u0204"+
    "\7\u0203\1\u0205\11\u0203\1\u023d\10\u0203\1\u0217\10\u0203\2\u0204"+
    "\11\u0203\1\u023d\10\u0203\1\u0217\11\u0203\1\u023d\2\u0203\17\u0204"+
    "\1\0\11\u0204\1\u023e\10\u0204\1\u0218\23\u0204\1\u023e\10\u0204"+
    "\1\u0218\11\u0204\1\u023e\2\u0204\53\u023f\1\0\40\u023f\2\u0206"+
    "\1\u0204\2\u0206\1\u0204\1\u0206\1\u0204\7\u0206\1\u0207\11\u0206"+
    "\1\u0240\10\u0206\1\u021a\10\u0206\2\u0204\11\u0206\1\u0240\10\u0206"+
    "\1\u021a\11\u0206\1\u0240\2\u0206\54\0\1\u0241\55\0\1\u0231"+
    "\35\0\1\u0242\55\0\1\u0232\35\0\1\u0243\37\0\2\u0233"+
    "\1\0\2\u0233\1\0\1\u0233\1\0\7\u0233\1\u0244\33\u0233"+
    "\2\0\37\u0233\34\0\1\u0245\34\0\1\u0245\60\0\1\u0246"+
    "\34\0\1\u0246\54\0\1\u0247\34\0\1\u0247\22\0\53\u0237"+
    "\1\u0248\40\u0237\16\0\1\u0238\35\0\1\u0249\55\0\1\u0239"+
    "\35\0\1\u024a\113\0\1\u024b\37\0\53\u023b\1\u024c\40\u023b"+
    "\33\0\1\u024d\34\0\1\u024d\22\0\1\u024d\2\u0203\1\u0204"+
    "\2\u0203\1\u0204\1\u0203\1\u0204\7\u0203\1\u0205\3\u0203\1\u024e"+
    "\16\u0203\1\u0217\10\u0203\2\u0204\3\u0203\1\u024e\16\u0203\1\u0217"+
    "\14\u0203\17\u0204\1\0\3\u0204\1\u024f\16\u0204\1\u0218\15\u0204"+
    "\1\u024f\16\u0204\1\u0218\14\u0204\53\u023f\1\u0250\40\u023f\2\u0206"+
    "\1\u0204\2\u0206\1\u0204\1\u0206\1\u0204\7\u0206\1\u0207\3\u0206"+
    "\1\u0251\16\u0206\1\u021a\10\u0206\2\u0204\3\u0206\1\u0251\16\u0206"+
    "\1\u021a\14\u0206\53\u0252\1\0\40\u0252\16\0\1\u0253\130\0"+
    "\1\u0254\34\0\1\u0254\22\0\1\u0254\54\0\1\12\72\0"+
    "\1\u0255\34\0\1\u0255\22\0\1\u0255\15\0\1\u0256\76\0"+
    "\53\u0257\1\0\40\u0257\1\0\2\u024b\1\0\3\u024b\1\0"+
    "\1\u0258\1\u0259\1\u024b\1\u0259\37\0\1\u025a\1\0\1\u0259"+
    "\53\0\1\u025b\134\0\1\u025c\34\0\1\u025c\20\0\2\u0203"+
    "\1\u0204\2\u0203\1\u0204\1\u0203\1\u0204\7\u0203\1\u0205\17\u0203"+
    "\1\u025d\2\u0203\1\u0217\10\u0203\2\u0204\17\u0203\1\u025d\2\u0203"+
    "\1\u0217\14\u0203\17\u0204\1\0\17\u0204\1\u025e\2\u0204\1\u0218"+
    "\31\u0204\1\u025e\2\u0204\1\u0218\14\u0204\15\0\1\u025f\76\0"+
    "\2\u0206\1\u0204\2\u0206\1\u0204\1\u0206\1\u0204\7\u0206\1\u0207"+
    "\17\u0206\1\u0260\2\u0206\1\u021a\10\u0206\2\u0204\17\u0206\1\u0260"+
    "\2\u0206\1\u021a\14\u0206\53\u0252\1\u0261\40\u0252\16\0\1\u0253"+
    "\35\0\1\u0262\75\0\1\u0263\34\0\1\u0263\56\0\1\u0264"+
    "\34\0\1\u0264\54\0\1\u0265\34\0\1\u0265\22\0\53\u0257"+
    "\1\u0266\40\u0257\36\0\1\u0267\34\0\1\u0267\21\0\2\u0259"+
    "\1\0\3\u0259\1\0\1\u0268\3\u0259\37\0\1\u0269\1\0"+
    "\1\u0259\72\0\1\u026a\34\0\1\u026a\56\0\1\u026b\34\0"+
    "\1\u026b\76\0\1\u026c\37\0\2\u0203\1\u0204\2\u0203\1\u0204"+
    "\1\u0203\1\u0204\7\u0203\1\u0205\14\u0203\1\u026d\5\u0203\1\u0217"+
    "\10\u0203\2\u0204\14\u0203\1\u026d\5\u0203\1\u0217\14\u0203\17\u0204"+
    "\1\0\14\u0204\1\u026e\5\u0204\1\u0218\26\u0204\1\u026e\5\u0204"+
    "\1\u0218\14\u0204\34\0\1\u026f\34\0\1\u026f\22\0\2\u0206"+
    "\1\u0204\2\u0206\1\u0204\1\u0206\1\u0204\7\u0206\1\u0207\14\u0206"+
    "\1\u0270\5\u0206\1\u021a\10\u0206\2\u0204\14\u0206\1\u0270\5\u0206"+
    "\1\u021a\14\u0206\15\0\1\u0271\76\0\53\u0272\1\0\40\u0272"+
    "\54\0\1\123\113\0\1\u0273\72\0\1\u0274\34\0\1\u0274"+
    "\22\0\1\u0274\15\0\1\u0275\120\0\1\u0276\34\0\1\u0276"+
    "\72\0\1\u0277\34\0\1\u0277\54\0\1\u0278\34\0\1\u0278"+
    "\55\0\1\u0279\34\0\1\u0279\22\0\1\u0279\33\0\1\u027a"+
    "\34\0\1\u027a\22\0\1\u027a\1\0\2\u026c\1\0\3\u026c"+
    "\1\0\1\u027b\2\u027c\1\u026c\6\0\1\14\1\15\1\16"+
    "\11\0\1\17\1\20\1\0\1\21\1\0\1\22\1\23"+
    "\1\24\1\25\4\0\1\u027d\1\0\1\u026c\1\0\1\14"+
    "\1\27\1\16\11\0\1\17\1\30\1\0\1\21\1\0"+
    "\1\22\1\23\1\24\1\25\6\0\1\22\1\0\2\u0203"+
    "\1\u0204\2\u0203\1\u0204\1\u0203\1\u0204\7\u0203\1\u0205\17\u0203"+
    "\1\u027e\2\u0203\1\u0217\10\u0203\2\u0204\17\u0203\1\u027e\2\u0203"+
    "\1\u0217\14\u0203\17\u0204\1\0\17\u0204\1\u027f\2\u0204\1\u0218"+
    "\31\u0204\1\u027f\2\u0204\1\u0218\14\u0204\33\0\1\u0280\34\0"+
    "\1\u0280\22\0\1\u0280\2\u0206\1\u0204\2\u0206\1\u0204\1\u0206"+
    "\1\u0204\7\u0206\1\u0207\17\u0206\1\u0281\2\u0206\1\u021a\10\u0206"+
    "\2\u0204\17\u0206\1\u0281\2\u0206\1\u021a\14\u0206\34\0\1\u0282"+
    "\34\0\1\u0282\22\0\53\u0272\1\u0283\40\u0272\1\0\2\u0273"+
    "\1\0\3\u0273\1\0\1\u0284\3\u0273\37\0\1\u0285\1\0"+
    "\1\u0273\74\0\1\u0286\34\0\1\u0286\54\0\1\u0287\34\0"+
    "\1\u0287\65\0\1\u0288\34\0\1\u0288\11\0\1\u0288\23\0"+
    "\1\u0289\34\0\1\u0289\67\0\1\u028a\34\0\1\u028a\22\0"+
    "\1\u028a\36\0\1\u028b\34\0\1\u028b\56\0\1\u028c\34\0"+
    "\1\u028c\56\0\1\u028d\34\0\1\u028d\21\0\2\u027c\1\0"+
    "\3\u027c\1\0\1\u028e\3\u027c\7\0\1\15\1\35\12\0"+
    "\1\36\3\0\1\37\7\0\1\u027d\1\0\1\u027c\2\0"+
    "\1\27\1\35\12\0\1\40\3\0\1\37\11\0\1\37"+
    "\35\0\1\u028f\34\0\1\u028f\22\0\2\u0290\1\u0291\2\u0290"+
    "\1\u0291\1\u0290\1\u0291\7\u0290\1\u0205\33\u0290\2\u0291\37\u0290"+
    "\17\u0291\1\0\74\u0291\36\0\1\u0292\34\0\1\u0292\20\0"+
    "\2\u0293\1\u0291\2\u0293\1\u0291\1\u0293\1\u0291\7\u0293\1\u0207"+
    "\33\u0293\2\u0291\37\u0293\33\0\1\u0294\34\0\1\u0294\22\0"+
    "\1\u0294\15\0\1\u0295\134\0\1\u0296\34\0\1\u0296\54\0"+
    "\1\u0297\34\0\1\u0297\76\0\1\u0298\72\0\1\u0299\34\0"+
    "\1\u0299\22\0\1\u0299\40\0\1\u029a\34\0\1\u029a\61\0"+
    "\1\u029b\34\0\1\u029b\11\0\1\u029b\37\0\1\u029c\34\0"+
    "\1\u029c\37\0\1\u029d\150\0\1\u029e\61\0\1\u029f\34\0"+
    "\1\u029f\72\0\1\u02a0\34\0\1\u02a0\53\0\1\u02a1\34\0"+
    "\1\u02a1\22\0\1\u02a1\2\u0290\1\u0291\2\u0290\1\u0291\1\u0290"+
    "\1\u0291\7\u0290\1\u02a2\33\u0290\2\u0291\37\u0290\17\u0291\1\u02a3"+
    "\74\u0291\54\0\1\u02a4\37\0\2\u0293\1\u0291\2\u0293\1\u0291"+
    "\1\u0293\1\u0291\7\u0293\1\u02a5\33\u0293\2\u0291\37\u0293\36\0"+
    "\1\u02a6\34\0\1\u02a6\54\0\1\u02a7\34\0\1\u02a7\44\0"+
    "\1\u02a8\34\0\1\u02a8\67\0\1\u02a9\34\0\1\u02a9\22\0"+
    "\1\u02a9\36\0\1\u02aa\34\0\1\u02aa\40\0\1\u024b\133\0"+
    "\1\u02ab\34\0\1\u02ab\35\0\1\u02ac\115\0\1\223\1\0"+
    "\1\u02ad\5\0\1\230\2\0\1\u02ae\3\0\1\u02af\2\0"+
    "\1\u02b0\12\0\1\223\1\0\1\u02ad\5\0\1\230\2\0"+
    "\1\u02ae\3\0\1\u02af\2\0\1\u02b0\10\0\1\230\1\u02b0"+
    "\2\0\2\u029e\1\0\3\u029e\1\0\1\u02b1\42\0\1\u02b2"+
    "\103\0\1\u02b3\34\0\1\u02b3\11\0\1\u02b3\23\0\1\u02b4"+
    "\34\0\1\u02b4\72\0\1\u02b5\34\0\1\u02b5\36\0\1\u02b6"+
    "\113\0\1\u02b7\76\0\2\u02a4\1\0\3\u02a4\1\0\1\u02b8"+
    "\1\u0259\1\u024b\1\u0259\37\0\1\u02b9\1\0\1\u0259\54\0"+
    "\1\u02ba\151\0\1\u02bb\72\0\1\u02bc\34\0\1\u02bc\22\0"+
    "\1\u02bc\43\0\1\u02bd\34\0\1\u02bd\11\0\1\u02bd\37\0"+
    "\1\u02be\34\0\1\u02be\74\0\1\u02bf\57\0\1\u0259\114\0"+
    "\1\223\1\0\1\u02ad\5\0\1\230\2\0\1\u02ae\3\0"+
    "\1\u02af\2\0\1\u02c0\12\0\1\223\1\0\1\u02ad\5\0"+
    "\1\230\2\0\1\u02ae\3\0\1\u02af\2\0\1\u02c0\10\0"+
    "\1\230\1\u02c0\40\0\1\264\34\0\1\264\44\0\1\u02c1"+
    "\34\0\1\u02c1\52\0\1\u02c2\15\0\1\304\16\0\1\u02c2"+
    "\15\0\1\304\44\0\1\310\16\0\1\u02c3\15\0\1\310"+
    "\16\0\1\u02c3\50\0\1\u02c4\34\0\1\u02c4\54\0\1\u02c5"+
    "\34\0\1\u02c5\62\0\1\u02c6\34\0\1\u02c6\61\0\1\u02c7"+
    "\34\0\1\u02c7\11\0\1\u02c7\20\0\1\u02c8\112\0\1\u02b6"+
    "\35\0\1\u02c9\55\0\1\u02b7\35\0\1\u02ca\75\0\1\u02cb"+
    "\34\0\1\u02cb\54\0\1\u02cc\34\0\1\u02cc\40\0\1\u02ba"+
    "\35\0\1\u02cd\40\0\2\u02bb\1\0\3\u02bb\1\0\1\u02ce"+
    "\3\u02bb\37\0\1\u02cf\1\0\1\u02bb\74\0\1\u02d0\34\0"+
    "\1\u02d0\60\0\1\u02d1\34\0\1\u02d1\35\0\1\u02d2\75\0"+
    "\2\u02bf\1\0\3\u02bf\1\0\1\u02d3\3\u02bf\37\0\1\u02d4"+
    "\1\0\1\u02bf\63\0\1\310\16\0\1\u02d5\15\0\1\310"+
    "\16\0\1\u02d5\56\0\1\352\34\0\1\352\54\0\1\u02d6"+
    "\34\0\1\u02d6\54\0\1\u02d7\34\0\1\u02d7\40\0\1\u02d8"+
    "\34\0\1\u02d8\67\0\1\u02d9\34\0\1\u02d9\22\0\1\u02d9"+
    "\20\0\1\u026c\133\0\1\u02da\34\0\1\u02da\54\0\1\u02db"+
    "\4\0\1\u02dc\3\0\1\u02dd\23\0\1\u02db\4\0\1\u02dc"+
    "\3\0\1\u02dd\5\0\1\u02dc\1\0\53\u02de\1\0\40\u02de"+
    "\53\u02df\1\0\40\u02df\22\0\1\u02e0\34\0\1\u02e0\67\0"+
    "\1\u02e1\34\0\1\u02e1\22\0\1\u02e1\36\0\1\u02e2\34\0"+
    "\1\u02e2\54\0\1\u02e3\34\0\1\u02e3\76\0\1\371\57\0"+
    "\1\u0273\121\0\1\227\7\0\1\u02e4\4\0\1\u02e5\3\0"+
    "\1\u02e6\13\0\1\227\7\0\1\u02e4\4\0\1\u02e5\3\0"+
    "\1\u02e6\5\0\1\u02e5\37\0\1\u02e7\34\0\1\u02e7\54\0"+
    "\1\u02e8\34\0\1\u02e8\62\0\1\u02e9\34\0\1\u02e9\37\0"+
    "\1\u011d\22\0\1\u02ea\11\0\1\u011d\22\0\1\u02ea\61\0"+
    "\1\u02eb\34\0\1\u02eb\52\0\1\u02ec\34\0\1\u02ec\11\0"+
    "\1\u02ec\37\0\1\u02ed\34\0\1\u02ed\40\0\1\u027c\140\0"+
    "\1\u02ee\34\0\1\u02ee\55\0\1\u02ef\34\0\1\u02ef\54\0"+
    "\1\u02f0\34\0\1\u02f0\14\0\53\u02de\1\u02f1\40\u02de\53\u02df"+
    "\1\u02f2\40\u02df\43\0\1\u02f3\34\0\1\u02f3\11\0\1\u02f3"+
    "\37\0\1\u02f4\34\0\1\u02f4\42\0\1\u02f5\34\0\1\u02f5"+
    "\67\0\1\u02f6\34\0\1\u02f6\22\0\1\u02f6\45\0\1\u02f7"+
    "\34\0\1\u02f7\55\0\1\u02f8\34\0\1\u02f8\54\0\1\u02f9"+
    "\34\0\1\u02f9\36\0\1\u02fa\34\0\1\u02fa\67\0\1\u02fb"+
    "\34\0\1\u02fb\22\0\1\u02fb\47\0\1\u02fc\34\0\1\u02fc"+
    "\34\0\1\u0114\3\0\1\u02fd\30\0\1\u0114\3\0\1\u02fd"+
    "\22\0\1\u02fd\21\0\1\u02fe\134\0\1\u02ff\34\0\1\u02ff"+
    "\35\0\1\u0300\131\0\1\u0301\34\0\1\u0301\61\0\1\u0302"+
    "\34\0\1\u0302\55\0\1\u0303\34\0\1\u0303\34\0\1\u0304"+
    "\113\0\1\u0305\136\0\1\u0306\34\0\1\u0306\35\0\1\u0307"+
    "\137\0\1\u0308\34\0\1\u0308\11\0\1\u0308\37\0\1\u0309"+
    "\34\0\1\u0309\55\0\1\u030a\34\0\1\u030a\61\0\1\u030b"+
    "\34\0\1\u030b\55\0\1\u030c\34\0\1\u030c\62\0\1\u030d"+
    "\34\0\1\u030d\11\0\1\u030d\37\0\1\u030e\34\0\1\u030e"+
    "\37\0\1\u030f\140\0\1\u0310\34\0\1\u0310\12\0\2\u030f"+
    "\1\0\2\u030f\1\0\1\u030f\1\0\7\u030f\1\u0311\17\u030f"+
    "\1\u0312\13\u030f\2\0\17\u030f\1\u0312\17\u030f\20\0\1\u029e"+
    "\133\0\1\u0313\34\0\1\u0313\40\0\1\u0314\34\0\1\u0314"+
    "\103\0\1\u0315\34\0\1\u0315\45\0\1\u0316\34\0\1\u0316"+
    "\54\0\1\u0317\34\0\1\u0317\56\0\1\u0318\34\0\1\u0318"+
    "\42\0\1\u02a4\114\0\1\223\1\0\1\u02ad\5\0\1\230"+
    "\2\0\1\u0319\3\0\1\u02af\2\0\1\u02b0\12\0\1\223"+
    "\1\0\1\u02ad\5\0\1\230\2\0\1\u0319\3\0\1\u02af"+
    "\2\0\1\u02b0\10\0\1\230\1\u02b0\41\0\1\u031a\34\0"+
    "\1\u031a\35\0\1\u031b\116\0\1\u031c\34\0\1\u031c\103\0"+
    "\1\u0186\34\0\1\u0186\45\0\1\u031d\34\0\1\u031d\60\0"+
    "\1\u031e\34\0\1\u031e\35\0\1\u031f\74\0\2\u030f\1\0"+
    "\2\u030f\1\0\1\u030f\1\0\7\u030f\1\u0311\33\u030f\2\0"+
    "\37\u030f\31\0\1\u0320\34\0\1\u0320\22\0\1\u0320\20\0"+
    "\1\u0321\75\0\2\u030f\1\0\2\u030f\1\0\1\u030f\1\0"+
    "\7\u030f\1\u0311\6\u030f\1\u0322\24\u030f\2\0\6\u030f\1\u0322"+
    "\30\u030f\21\0\1\u0323\34\0\1\u0323\62\0\1\u0324\34\0"+
    "\1\u0324\50\0\1\u0325\123\0\1\u0326\34\0\1\u0326\62\0"+
    "\1\u0327\34\0\1\u0327\22\0\1\u0327\33\0\1\u0328\34\0"+
    "\1\u0328\22\0\1\u0328\25\0\1\u0329\34\0\1\u0329\51\0"+
    "\1\u02bb\121\0\1\u032a\7\0\1\u032b\4\0\1\u032c\17\0"+
    "\1\u032a\7\0\1\u032b\4\0\1\u032c\11\0\1\u032c\26\0"+
    "\1\u032d\34\0\1\u032d\60\0\1\u032e\34\0\1\u032e\47\0"+
    "\1\u02bf\136\0\1\u032f\3\0\1\u02dd\30\0\1\u032f\3\0"+
    "\1\u02dd\5\0\1\u032f\40\0\1\u0330\34\0\1\u0330\35\0"+
    "\1\u0321\35\0\1\u0331\37\0\2\u030f\1\0\2\u030f\1\0"+
    "\1\u030f\1\0\7\u030f\1\u0332\33\u030f\2\0\37\u030f\42\0"+
    "\1\u0333\34\0\1\u0333\56\0\1\u0334\34\0\1\u0334\14\0"+
    "\2\u0325\1\0\2\u0325\1\0\1\u0325\1\0\7\u0325\1\u0335"+
    "\33\u0325\2\0\37\u0325\55\0\1\u0336\74\0\1\u0337\34\0"+
    "\1\u0337\56\0\1\u0338\34\0\1\u0338\47\0\1\u0339\14\0"+
    "\1\352\17\0\1\u0339\14\0\1\352\57\0\1\u033a\34\0"+
    "\1\u033a\56\0\1\u033b\34\0\1\u033b\55\0\1\u033c\34\0"+
    "\1\u033c\54\0\1\u033d\34\0\1\u033d\71\0\1\u033e\102\0"+
    "\1\u033f\34\0\1\u033f\50\0\1\u0114\34\0\1\u0114\20\0"+
    "\53\u0340\1\0\40\u0340\16\0\1\u0341\141\0\1\u0342\34\0"+
    "\1\u0342\31\0\1\u0343\112\0\1\u0344\121\0\1\u0345\34\0"+
    "\1\u0345\106\0\1\u0346\113\0\1\u0347\114\0\1\u0348\72\0"+
    "\1\u0349\34\0\1\u0349\57\0\1\u034a\34\0\1\u034a\61\0"+
    "\1\u034b\34\0\1\u034b\35\0\1\u0212\35\0\1\u019a\62\0"+
    "\1\u034c\34\0\1\u034c\72\0\1\u034d\34\0\1\u034d\16\0"+
    "\53\u0340\1\u034e\40\u0340\16\0\1\u0341\35\0\1\u034f\70\0"+
    "\1\u0350\34\0\1\u0350\22\0\1\u0350\2\0\2\u0343\1\0"+
    "\2\u0343\1\0\1\u0343\1\0\7\u0343\1\u0351\33\u0343\2\0"+
    "\37\u0343\16\0\1\u0344\35\0\1\u0352\60\0\1\u0353\34\0"+
    "\1\u0353\36\0\2\u0354\1\0\3\u0354\1\0\1\u0355\3\u0356"+
    "\37\0\1\u0357\1\0\1\u0356\37\0\2\u0358\1\0\3\u0358"+
    "\1\0\1\u0359\3\u0358\37\0\1\u035a\1\0\1\u0358\57\0"+
    "\1\u035b\34\0\1\u035b\71\0\1\u035c\34\0\1\u035c\44\0"+
    "\1\u035d\34\0\1\u035d\103\0\1\u01f3\34\0\1\u01f3\30\0"+
    "\1\u035e\34\0\1\u035e\104\0\1\u01fc\34\0\1\u01fc\24\0"+
    "\1\u035f\76\0\53\u0360\1\0\40\u0360\44\0\1\u0361\34\0"+
    "\1\u0361\30\0\1\u0362\75\0\53\u0363\1\0\40\u0363\44\0"+
    "\1\u0364\34\0\1\u0364\50\0\1\u0365\34\0\1\u0365\21\0"+
    "\2\u0356\1\0\3\u0356\1\0\1\u0366\3\u0356\37\0\1\u0367"+
    "\1\0\1\u0356\72\0\1\u0368\34\0\1\u0368\60\0\1\u0369"+
    "\34\0\1\u0369\54\0\1\u036a\34\0\1\u036a\56\0\1\u036b"+
    "\34\0\1\u036b\77\0\1\u036c\63\0\1\u036d\34\0\1\u036d"+
    "\75\0\1\u036e\34\0\1\u036e\46\0\1\u036f\34\0\1\u036f"+
    "\22\0\53\u0360\1\u0370\40\u0360\31\0\1\u0371\34\0\1\u0371"+
    "\22\0\1\u0371\20\0\1\u0362\35\0\1\u0372\37\0\53\u0363"+
    "\1\u0373\40\u0363\25\0\1\u0374\34\0\1\u0374\53\0\1\u0375"+
    "\34\0\1\u0375\72\0\1\u0376\34\0\1\u0376\54\0\1\u0377"+
    "\34\0\1\u0377\55\0\1\u0378\34\0\1\u0378\22\0\1\u0378"+
    "\22\0\1\u0379\34\0\1\u0379\67\0\1\u037a\34\0\1\u037a"+
    "\22\0\1\u037a\31\0\1\u037b\34\0\1\u037b\22\0\1\u037b"+
    "\27\0\1\u037c\10\0\1\u037d\23\0\1\u037c\10\0\1\u037d"+
    "\62\0\1\u037e\34\0\1\u037e\41\0\1\u037f\34\0\1\u037f"+
    "\64\0\1\u0380\34\0\1\u0380\22\0\1\u0380\15\0\1\u0381"+
    "\135\0\1\u0382\34\0\1\u0382\17\0\53\u0383\1\0\40\u0383"+
    "\15\0\1\u0384\115\0\1\u0385\137\0\1\u0386\34\0\1\u0386"+
    "\11\0\1\u0386\23\0\1\u0387\34\0\1\u0387\67\0\1\u0388"+
    "\34\0\1\u0388\22\0\1\u0388\36\0\1\u0389\34\0\1\u0389"+
    "\63\0\1\u038a\34\0\1\u038a\11\0\1\u038a\37\0\1\u038b"+
    "\34\0\1\u038b\41\0\1\u038c\34\0\1\u038c\102\0\1\u038d"+
    "\34\0\1\u038d\56\0\1\u038e\34\0\1\u038e\30\0\1\u0385"+
    "\35\0\1\u038f\55\0\1\u0390\132\0\1\u0391\34\0\1\u0391"+
    "\54\0\1\u0392\34\0\1\u0392\60\0\1\u0374\34\0\1\u0374"+
    "\20\0\53\u0383\1\u0393\40\u0383\34\0\1\u0394\34\0\1\u0394"+
    "\22\0\2\u0385\1\0\2\u0385\1\0\1\u0385\1\0\7\u0385"+
    "\1\u0395\33\u0385\2\0\37\u0385\40\0\1\u0396\34\0\1\u0396"+
    "\61\0\1\u0397\34\0\1\u0397\11\0\1\u0397\37\0\1\u0398"+
    "\34\0\1\u0398\37\0\1\u0399\134\0\1\u039a\34\0\1\u039a"+
    "\35\0\1\u039b\137\0\1\u0374\34\0\1\u0374\11\0\1\u0374"+
    "\56\0\1\u039c\73\0\1\u039d\34\0\1\u039d\72\0\1\u039e"+
    "\34\0\1\u039e\5\0\2\u0390\1\0\2\u0390\1\0\1\u0390"+
    "\1\0\7\u0390\1\u039f\33\u0390\2\0\37\u0390\54\0\1\u0259"+
    "\72\0\1\u03a0\34\0\1\u03a0\22\0\1\u03a0\15\0\1\u03a1"+
    "\131\0\1\u03a2\34\0\1\u03a2\22\0\1\u03a2\16\0\1\u03a3"+
    "\115\0\1\u0354\133\0\1\u03a4\34\0\1\u03a4\35\0\1\u03a5"+
    "\115\0\1\223\1\0\1\u03a6\1\u03a7\1\u03a8\1\u03a9\2\0"+
    "\1\230\2\0\1\u03aa\1\u03ab\1\u03ac\1\u03ad\1\u03ae\1\0"+
    "\1\u03af\1\u03b0\5\0\1\u03b1\4\0\1\223\1\0\1\u03a6"+
    "\1\u03a7\1\u03a8\1\u03a9\2\0\1\230\2\0\1\u03aa\1\u03ab"+
    "\1\u03ac\1\u03ad\1\u03ae\1\0\1\u03af\1\u03b0\5\0\1\u03b1"+
    "\2\0\1\230\1\u03b0\21\0\1\u0358\116\0\1\u03b2\1\u03a7"+
    "\1\u03a8\1\u03a9\5\0\1\u03b3\1\u03ab\1\u03ac\1\u03ad\1\u03b4"+
    "\1\0\1\u03af\1\u03b5\5\0\1\u03b1\6\0\1\u03b2\1\u03a7"+
    "\1\u03a8\1\u03a9\5\0\1\u03b3\1\u03ab\1\u03ac\1\u03ad\1\u03b4"+
    "\1\0\1\u03af\1\u03b5\5\0\1\u03b1\3\0\1\u03b5\37\0"+
    "\1\u037d\34\0\1\u037d\42\0\1\u03b6\34\0\1\u03b6\61\0"+
    "\1\u03b7\34\0\1\u03b7\47\0\1\u03b8\133\0\1\u03b9\34\0"+
    "\1\u03b9\54\0\1\u03ba\34\0\1\u03ba\60\0\1\u03bb\34\0"+
    "\1\u03bb\36\0\1\u03a3\35\0\1\u03bc\57\0\1\u0356\114\0"+
    "\1\223\1\0\1\u03a6\1\u03a7\1\u03a8\1\u03a9\2\0\1\230"+
    "\2\0\1\u03bd\1\u03ab\1\u03ac\1\u03ad\1\u03ae\1\0\1\u03af"+
    "\1\u03b0\5\0\1\u03b1\4\0\1\223\1\0\1\u03a6\1\u03a7"+
    "\1\u03a8\1\u03a9\2\0\1\230\2\0\1\u03bd\1\u03ab\1\u03ac"+
    "\1\u03ad\1\u03ae\1\0\1\u03af\1\u03b0\5\0\1\u03b1\2\0"+
    "\1\230\1\u03b0\22\0\1\u03be\7\0\1\u03bf\2\0\1\u03c0"+
    "\2\0\1\264\16\0\1\u03be\7\0\1\u03bf\2\0\1\u03c0"+
    "\2\0\1\264\14\0\1\u03bf\27\0\1\u03c1\11\0\1\u03c2"+
    "\22\0\1\u03c1\11\0\1\u03c2\64\0\1\u03c3\34\0\1\u03c3"+
    "\56\0\1\u03c4\34\0\1\u03c4\36\0\1\u03c5\34\0\1\u03c5"+
    "\62\0\1\u03c6\34\0\1\u03c6\22\0\1\u03c6\41\0\1\u03c7"+
    "\5\0\1\u03c8\26\0\1\u03c7\5\0\1\u03c8\55\0\1\u03c9"+
    "\34\0\1\u03c9\33\0\1\u02c2\15\0\1\304\5\0\1\u03ca"+
    "\10\0\1\u02c2\15\0\1\304\5\0\1\u03ca\36\0\1\u03cb"+
    "\20\0\1\u03cc\13\0\1\u03cb\20\0\1\u03cc\35\0\1\310"+
    "\16\0\1\u03cd\1\u03ce\14\0\1\310\16\0\1\u03cd\1\u03ce"+
    "\36\0\1\u03cf\34\0\1\u03cf\52\0\1\u03be\7\0\1\u03bf"+
    "\2\0\1\u03c0\21\0\1\u03be\7\0\1\u03bf\2\0\1\u03c0"+
    "\17\0\1\u03bf\27\0\1\u03d0\34\0\1\u03d0\76\0\1\u03ca"+
    "\34\0\1\u03ca\55\0\1\u03d1\1\u03ce\33\0\1\u03d1\1\u03ce"+
    "\36\0\1\u03d2\34\0\1\u03d2\52\0\1\u03d2\34\0\1\u03d2"+
    "\53\0\1\u03b8\35\0\1\u03d3\113\0\1\u03d4\72\0\1\u03d5"+
    "\34\0\1\u03d5\22\0\1\u03d5\54\0\1\u027c\37\0\53\u03d6"+
    "\1\0\40\u03d6\25\0\1\u03d7\34\0\1\u03d7\74\0\1\u03d8"+
    "\34\0\1\u03d8\11\0\1\u03d8\45\0\1\u03d9\34\0\1\u03d9"+
    "\67\0\1\u03da\76\0\1\u03db\34\0\1\u03db\41\0\1\u03dc"+
    "\34\0\1\u03dc\110\0\1\u03dd\72\0\1\u03de\34\0\1\u03de"+
    "\51\0\1\u03df\14\0\1\352\17\0\1\u03df\14\0\1\352"+
    "\50\0\1\u03e0\34\0\1\u03e0\64\0\1\u03e1\34\0\1\u03e1"+
    "\47\0\1\u03e2\34\0\1\u03e2\51\0\1\u03e3\34\0\1\u03e3"+
    "\50\0\1\u03e4\34\0\1\u03e4\63\0\1\u03e5\34\0\1\u03e5"+
    "\104\0\1\u03e6\76\0\1\u03e7\34\0\1\u03e7\40\0\1\u03e8"+
    "\34\0\1\u03e8\55\0\1\u03e9\34\0\1\u03e9\64\0\1\u03ea"+
    "\34\0\1\u03ea\67\0\1\u03eb\34\0\1\u03eb\60\0\1\u0374"+
    "\34\0\1\u0374\14\0\53\u03ec\1\0\40\u03ec\1\0\2\u03d4"+
    "\1\0\3\u03d4\1\0\1\u03ed\3\u0259\37\0\1\u03ee\1\0"+
    "\1\u0259\74\0\1\u03ef\34\0\1\u03ef\20\0\53\u03d6\1\u03f0"+
    "\40\u03d6\27\0\1\u03ea\14\0\1\352\17\0\1\u03ea\14\0"+
    "\1\352\37\0\1\u03e6\34\0\1\u03e6\102\0\1\u03f1\34\0"+
    "\1\u03f1\26\0\1\u03f2\2\0\1\u03f3\16\0\1\u03f4\12\0"+
    "\1\u03f2\2\0\1\u03f3\16\0\1\u03f4\11\0\1\u03f4\40\0"+
    "\1\u03f5\34\0\1\u03f5\63\0\1\u03f6\10\0\1\u03f7\23\0"+
    "\1\u03f6\35\0\1\u03f8\10\0\1\u03b3\23\0\1\u03f8\10\0"+
    "\1\u03b3\56\0\1\u03f9\34\0\1\u03f9\77\0\1\u03fa\67\0"+
    "\1\u03fb\34\0\1\u03fb\22\0\1\u03fb\33\0\1\u03fc\34\0"+
    "\1\u03fc\22\0\1\u03fc\24\0\1\u03fd\34\0\1\u03fd\61\0"+
    "\1\u03fe\34\0\1\u03fe\65\0\1\u03ff\34\0\1\u03ff\53\0"+
    "\1\u0400\34\0\1\u0400\22\0\1\u0400\40\0\1\u0401\34\0"+
    "\1\u0401\67\0\1\u0402\34\0\1\u0402\41\0\1\u0403\34\0"+
    "\1\u0403\66\0\1\u03f1\34\0\1\u03f1\71\0\1\u0404\105\0"+
    "\1\u0405\34\0\1\u0405\7\0\53\u03ec\1\u0406\40\u03ec\36\0"+
    "\1\u0407\34\0\1\u0407\54\0\1\u0408\34\0\1\u0408\76\0"+
    "\1\u0409\54\0\1\u040a\115\0\1\u040b\141\0\1\u040c\34\0"+
    "\1\u040c\36\0\1\u040d\11\0\1\u040e\22\0\1\u040d\11\0"+
    "\1\u040e\44\0\1\u040f\34\0\1\u040f\74\0\1\u0410\34\0"+
    "\1\u0410\11\0\1\u0410\52\0\1\u0411\34\0\1\u0411\31\0"+
    "\1\u0412\34\0\1\u0412\66\0\1\u0413\34\0\1\u0413\77\0"+
    "\1\u0414\57\0\1\u0415\2\0\1\u0416\31\0\1\u0415\2\0"+
    "\1\u0416\75\0\1\u0417\34\0\1\u0417\11\0\1\u0417\27\0"+
    "\1\u03ff\34\0\1\u03ff\55\0\1\u0418\34\0\1\u0418\73\0"+
    "\1\u0413\34\0\1\u0413\45\0\1\u0419\34\0\1\u0419\22\0"+
    "\1\u0419\41\0\1\u041a\34\0\1\u041a\64\0\1\u041b\34\0"+
    "\1\u041b\30\0\1\u041c\121\0\1\u041d\34\0\1\u041d\52\0"+
    "\1\u03f2\2\0\1\u0416\31\0\1\u03f2\2\0\1\u0416\51\0"+
    "\1\u041e\111\0\1\u041f\120\0\1\u0420\34\0\1\u0420\67\0"+
    "\1\u0421\34\0\1\u0421\22\0\1\u0421\1\0\2\u0409\1\0"+
    "\3\u0409\1\0\1\u0422\2\u0423\1\u0409\6\0\1\14\1\15"+
    "\1\16\11\0\1\17\1\20\1\0\1\21\1\0\1\22"+
    "\1\23\1\24\1\25\4\0\1\u0424\1\0\1\u0409\1\0"+
    "\1\14\1\27\1\16\11\0\1\17\1\30\1\0\1\21"+
    "\1\0\1\22\1\23\1\24\1\25\6\0\1\22\35\0"+
    "\1\u0425\34\0\1\u0425\22\0\2\u040b\1\0\2\u040b\1\0"+
    "\1\u040b\1\0\7\u040b\1\u0426\33\u040b\2\0\37\u040b\44\0"+
    "\1\u0427\34\0\1\u0427\56\0\1\u0428\34\0\1\u0428\35\0"+
    "\1\u0429\34\0\1\u0429\56\0\1\u042a\34\0\1\u042a\64\0"+
    "\1\u042b\34\0\1\u042b\22\0\1\u042b\42\0\1\u042c\34\0"+
    "\1\u042c\37\0\1\u042d\34\0\1\u042d\112\0\1\u042e\63\0"+
    "\1\u042f\10\0\1\u0401\23\0\1\u042f\10\0\1\u0401\54\0"+
    "\1\u036b\10\0\1\u040c\23\0\1\u036b\10\0\1\u040c\50\0"+
    "\1\u040e\34\0\1\u040e\63\0\1\u0430\34\0\1\u0430\54\0"+
    "\1\u0431\34\0\1\u0431\37\0\1\u0432\34\0\1\u0432\71\0"+
    "\1\u03f1\34\0\1\u03f1\55\0\1\u0433\34\0\1\u0433\21\0"+
    "\2\u041c\1\0\2\u041c\1\0\1\u041c\1\0\7\u041c\1\u0434"+
    "\33\u041c\2\0\37\u041c\23\0\1\u0435\34\0\1\u0435\33\0"+
    "\2\u041e\1\0\2\u041e\1\0\1\u041e\1\0\7\u041e\1\u0436"+
    "\33\u041e\2\0\37\u041e\34\0\1\u0437\34\0\1\u0437\65\0"+
    "\1\u0438\34\0\1\u0438\11\0\1\u0438\37\0\1\u0439\34\0"+
    "\1\u0439\56\0\1\u043a\34\0\1\u043a\21\0\2\u0423\1\0"+
    "\3\u0423\1\0\1\u043b\3\u0423\7\0\1\15\1\35\12\0"+
    "\1\36\3\0\1\37\7\0\1\u0424\1\0\1\u0423\2\0"+
    "\1\27\1\35\12\0\1\40\3\0\1\37\11\0\1\37"+
    "\35\0\1\u043c\34\0\1\u043c\55\0\1\u043d\34\0\1\u043d"+
    "\22\0\1\u043d\16\0\1\u043e\125\0\1\u03f1\34\0\1\u03f1"+
    "\47\0\1\u043f\34\0\1\u043f\101\0\1\u03f6\34\0\1\u03f6"+
    "\56\0\1\u03e5\34\0\1\u03e5\56\0\1\u0440\34\0\1\u0440"+
    "\37\0\1\u03f1\34\0\1\u03f1\75\0\1\u042c\34\0\1\u042c"+
    "\33\0\1\u03f2\34\0\1\u03f2\102\0\1\u03cc\34\0\1\u03cc"+
    "\53\0\1\u03d9\34\0\1\u03d9\33\0\1\u040b\35\0\1\u0441"+
    "\57\0\1\u0442\34\0\1\u0442\57\0\1\u0443\34\0\1\u0443"+
    "\52\0\1\u0444\141\0\1\u03f1\34\0\1\u03f1\30\0\1\u0445"+
    "\130\0\1\u0446\34\0\1\u0446\22\0\1\u0446\40\0\1\u0447"+
    "\34\0\1\u0447\35\0\1\u0448\116\0\1\u0449\34\0\1\u0449"+
    "\72\0\1\u044a\34\0\1\u044a\53\0\1\u044b\34\0\1\u044b"+
    "\22\0\1\u044b\36\0\1\u044c\34\0\1\u044c\36\0\1\u043e"+
    "\35\0\1\u044d\62\0\1\u044e\34\0\1\u044e\110\0\1\u03f7"+
    "\107\0\1\u03b1\34\0\1\u03b1\51\0\1\u044f\34\0\1\u044f"+
    "\37\0\1\u03e9\34\0\1\u03e9\47\0\1\u0444\35\0\1\u0450"+
    "\55\0\1\u0445\35\0\1\u0451\75\0\1\u0452\34\0\1\u0452"+
    "\40\0\1\u03d4\114\0\1\223\1\0\1\u0453\1\u0454\1\u0455"+
    "\3\0\1\230\2\0\1\u0456\3\0\1\u02af\2\0\1\u02c0"+
    "\12\0\1\223\1\0\1\u0453\1\u0454\1\u0455\3\0\1\230"+
    "\2\0\1\u0456\3\0\1\u02af\2\0\1\u02c0\10\0\1\230"+
    "\1\u02c0\44\0\1\u0457\34\0\1\u0457\11\0\1\u0457\23\0"+
    "\1\u0458\34\0\1\u0458\72\0\1\u0459\34\0\1\u0459\74\0"+
    "\1\u045a\37\0\53\u045b\1\0\40\u045b\30\0\1\u045c\34\0"+
    "\1\u045c\57\0\1\u045d\34\0\1\u045d\22\0\1\u045d\2\0"+
    "\53\u045e\1\0\40\u045e\53\u045f\1\0\40\u045f\54\0\1\u0460"+
    "\73\0\1\u0461\2\0\1\264\31\0\1\u0461\2\0\1\264"+
    "\56\0\1\u0462\34\0\1\u0462\64\0\1\u0463\34\0\1\u0463"+
    "\36\0\1\u0464\34\0\1\u0464\71\0\1\u0465\34\0\1\u0465"+
    "\61\0\1\u0466\34\0\1\u0466\11\0\1\u0466\20\0\1\u0467"+
    "\74\0\53\u045b\1\u0468\40\u045b\25\0\1\u0469\34\0\1\u0469"+
    "\70\0\1\u046a\34\0\1\u046a\17\0\53\u045e\1\u046b\40\u045e"+
    "\53\u045f\1\u046c\40\u045f\55\0\1\u046d\61\0\1\u046e\34\0"+
    "\1\u046e\110\0\1\u046f\65\0\1\u0461\14\0\1\352\17\0"+
    "\1\u0461\14\0\1\352\32\0\1\u0409\133\0\1\u0470\34\0"+
    "\1\u0470\54\0\1\u02db\4\0\1\u0471\27\0\1\u02db\4\0"+
    "\1\u0471\11\0\1\u0471\16\0\1\u0472\122\0\1\u03f1\34\0"+
    "\1\u03f1\70\0\1\u0440\34\0\1\u0440\35\0\1\u0473\113\0"+
    "\1\u0474\122\0\1\u0454\34\0\1\u0454\76\0\1\u0475\34\0"+
    "\1\u0475\46\0\1\u0476\34\0\1\u0476\42\0\1\u0423\137\0"+
    "\1\u0477\34\0\1\u0477\46\0\1\u0478\34\0\1\u0478\56\0"+
    "\1\u0479\34\0\1\u0479\56\0\1\u047a\34\0\1\u047a\73\0"+
    "\1\u047b\34\0\1\u047b\32\0\1\u047c\34\0\1\u047c\71\0"+
    "\1\u047d\34\0\1\u047d\51\0\1\u047e\34\0\1\u047e\22\0"+
    "\1\u047e\33\0\1\u047f\34\0\1\u047f\22\0\1\u047f\33\0"+
    "\1\u0480\34\0\1\u0480\22\0\1\u0480\40\0\1\u0481\34\0"+
    "\1\u0481\45\0\1\u0461\34\0\1\u0461\76\0\1\u0482\34\0"+
    "\1\u0482\45\0\1\u0483\34\0\1\u0483\56\0\1\u0484\34\0"+
    "\1\u0484\56\0\1\u0485\34\0\1\u0485\45\0\1\u0486\34\0"+
    "\1\u0486\50\0\1\u0487\150\0\1\u0488\113\0\1\u0356\113\0"+
    "\1\u0358\56\0\1\u0489\74\0\2\u0487\1\0\2\u0487\1\0"+
    "\1\u0487\1\0\7\u0487\1\u048a\33\u0487\2\0\37\u0487\2\u0489"+
    "\1\0\2\u0489\1\0\1\u0489\1\0\7\u0489\1\u048b\33\u0489"+
    "\2\0\37\u0489\16\0\1\u048c\113\0\1\u048d\113\0\1\u048c"+
    "\35\0\1\u048e\55\0\1\u048d\35\0\1\u048f\37\0\53\u0490"+
    "\1\0\40\u0490\53\u0491\1\0\40\u0491\53\u0490\1\u0492\40\u0490"+
    "\53\u0491\1\u0493\40\u0491\15\0\1\u0494\113\0\1\u0495\132\0"+
    "\1\u0496\34\0\1\u0496\56\0\1\u0497\34\0\1\u0497\55\0"+
    "\1\u0498\34\0\1\u0498\22\0\1\u0498\33\0\1\u0499\34\0"+
    "\1\u0499\22\0\1\u0499\36\0\1\u049a\34\0\1\u049a\56\0"+
    "\1\u049b\34\0\1\u049b\74\0\1\u0423\113\0\1\u049c\40\0"+
    "\2\u049d\1\0\3\u049d\1\0\1\u049e\3\u049d\37\0\1\u049f"+
    "\1\0\1\u049d\74\0\1\u04a0\34\0\1\u04a0\54\0\1\u04a1"+
    "\34\0\1\u04a1\44\0\1\u04a2\34\0\1\u04a2\67\0\1\u04a3"+
    "\34\0\1\u04a3\22\0\1\u04a3\43\0\1\u04a4\34\0\1\u04a4"+
    "\11\0\1\u04a4\37\0\1\u04a5\34\0\1\u04a5\60\0\1\u04a6"+
    "\34\0\1\u04a6\35\0\1\u04a7\114\0\1\u049d\116\0\1\u04a8"+
    "\1\u04a9\1\u04aa\1\u04ab\5\0\1\u04ac\1\u04ad\1\u04ae\1\u04af"+
    "\1\u04b0\1\0\1\u04b1\1\u04b2\5\0\1\u04b3\6\0\1\u04a8"+
    "\1\u04a9\1\u04aa\1\u04ab\5\0\1\u04ac\1\u04ad\1\u04ae\1\u04af"+
    "\1\u04b0\1\0\1\u04b1\1\u04b2\5\0\1\u04b3\3\0\1\u04b2"+
    "\22\0\1\u04b4\7\0\1\u04b5\2\0\1\u04b6\21\0\1\u04b4"+
    "\7\0\1\u04b5\2\0\1\u04b6\17\0\1\u04b5\27\0\1\u04b7"+
    "\11\0\1\u04b8\22\0\1\u04b7\11\0\1\u04b8\64\0\1\u04b9"+
    "\34\0\1\u04b9\56\0\1\u04ba\34\0\1\u04ba\36\0\1\u04bb"+
    "\34\0\1\u04bb\62\0\1\u04bc\34\0\1\u04bc\22\0\1\u04bc"+
    "\41\0\1\u04bd\5\0\1\u04be\26\0\1\u04bd\5\0\1\u04be"+
    "\55\0\1\u04bf\34\0\1\u04bf\57\0\1\u04c0\34\0\1\u04c0"+
    "\36\0\1\u04c1\20\0\1\u04c2\13\0\1\u04c1\20\0\1\u04c2"+
    "\54\0\1\u04c3\1\u04c4\33\0\1\u04c3\1\u04c4\36\0\1\u04c5"+
    "\34\0\1\u04c5\74\0\1\u04c6\34\0\1\u04c6\11\0\1\u04c6"+
    "\45\0\1\u04c7\34\0\1\u04c7\67\0\1\u04c8\76\0\1\u04c9"+
    "\34\0\1\u04c9\41\0\1\u04ca\34\0\1\u04ca\110\0\1\u04cb"+
    "\72\0\1\u04cc\34\0\1\u04cc\51\0\1\u04cd\34\0\1\u04cd"+
    "\65\0\1\u04ce\34\0\1\u04ce\64\0\1\u04cf\34\0\1\u04cf"+
    "\47\0\1\u04d0\34\0\1\u04d0\51\0\1\u04d1\34\0\1\u04d1"+
    "\50\0\1\u04d2\34\0\1\u04d2\63\0\1\u04d3\34\0\1\u04d3"+
    "\104\0\1\u04d4\76\0\1\u04d5\34\0\1\u04d5\40\0\1\u04d6"+
    "\34\0\1\u04d6\55\0\1\u04d7\34\0\1\u04d7\62\0\1\u04d4"+
    "\34\0\1\u04d4\102\0\1\u0486\34\0\1\u0486\26\0\1\u04d8"+
    "\2\0\1\u04d9\16\0\1\u04da\12\0\1\u04d8\2\0\1\u04d9"+
    "\16\0\1\u04da\11\0\1\u04da\40\0\1\u04db\34\0\1\u04db"+
    "\74\0\1\u04dc\61\0\1\u04dd\10\0\1\u04ac\23\0\1\u04dd"+
    "\10\0\1\u04ac\56\0\1\u04de\34\0\1\u04de\77\0\1\u04df"+
    "\67\0\1\u04e0\34\0\1\u04e0\22\0\1\u04e0\33\0\1\u04e1"+
    "\34\0\1\u04e1\22\0\1\u04e1\24\0\1\u04e2\34\0\1\u04e2"+
    "\61\0\1\u04e3\34\0\1\u04e3\65\0\1\u04e4\34\0\1\u04e4"+
    "\53\0\1\u04e5\34\0\1\u04e5\22\0\1\u04e5\40\0\1\u04e6"+
    "\34\0\1\u04e6\67\0\1\u04e7\34\0\1\u04e7\41\0\1\u04e8"+
    "\34\0\1\u04e8\66\0\1\u0486\34\0\1\u0486\61\0\1\u04e9"+
    "\34\0\1\u04e9\36\0\1\u04ea\34\0\1\u04ea\56\0\1\u04eb"+
    "\34\0\1\u04eb\74\0\1\u04ec\34\0\1\u04ec\11\0\1\u04ec"+
    "\25\0\1\u04ed\34\0\1\u04ed\66\0\1\u04cd\34\0\1\u04cd"+
    "\77\0\1\u04ee\57\0\1\u04d8\34\0\1\u04d8\100\0\1\u04ef"+
    "\34\0\1\u04ef\11\0\1\u04ef\27\0\1\u04e4\34\0\1\u04e4"+
    "\55\0\1\u04f0\34\0\1\u04f0\73\0\1\u04cd\34\0\1\u04cd"+
    "\45\0\1\u04f1\34\0\1\u04f1\22\0\1\u04f1\41\0\1\u04f2"+
    "\34\0\1\u04f2\64\0\1\u04f3\34\0\1\u04f3\30\0\1\u04f4"+
    "\121\0\1\u04f5\34\0\1\u04f5\75\0\1\u04f6\34\0\1\u04f6"+
    "\56\0\1\u04f7\34\0\1\u04f7\35\0\1\u04f8\34\0\1\u04f8"+
    "\64\0\1\u04f9\34\0\1\u04f9\22\0\1\u04f9\23\0\1\u04fa"+
    "\34\0\1\u04fa\62\0\1\u04fb\10\0\1\u04e6\23\0\1\u04fb"+
    "\10\0\1\u04e6\64\0\1\u04fc\34\0\1\u04fc\54\0\1\u04fd"+
    "\34\0\1\u04fd\37\0\1\u04fe\34\0\1\u04fe\71\0\1\u0486"+
    "\34\0\1\u0486\55\0\1\u04ff\34\0\1\u04ff\21\0\2\u04f4"+
    "\1\0\2\u04f4\1\0\1\u04f4\1\0\7\u04f4\1\u0500\33\u04f4"+
    "\2\0\37\u04f4\23\0\1\u0501\34\0\1\u0501\63\0\1\u0486"+
    "\34\0\1\u0486\47\0\1\u0502\34\0\1\u0502\101\0\1\u04d3"+
    "\34\0\1\u04d3\56\0\1\u04ca\34\0\1\u04ca\56\0\1\u0481"+
    "\34\0\1\u0481\57\0\1\u04c2\34\0\1\u04c2\53\0\1\u04c7"+
    "\34\0\1\u04c7\33\0\1\u0489\35\0\1\u0503\57\0\1\u0504"+
    "\34\0\1\u0504\57\0\1\u0505\34\0\1\u0505\52\0\1\u0506"+
    "\141\0\1\u0486\34\0\1\u0486\35\0\1\u0507\34\0\1\u0507"+
    "\104\0\1\u04b3\34\0\1\u04b3\51\0\1\u0508\34\0\1\u0508"+
    "\37\0\1\u04d7\34\0\1\u04d7\47\0\1\u0506\35\0\1\u0509"+
    "\67\0\1\u050a\34\0\1\u050a\57\0\1\u050b\34\0\1\u050b"+
    "\22\0\1\u050b\2\0\53\u050c\1\0\40\u050c\25\0\1\u050d"+
    "\34\0\1\u050d\70\0\1\u050e\34\0\1\u050e\17\0\53\u050c"+
    "\1\u050f\40\u050c\24\0\1\u0486\34\0\1\u0486\70\0\1\u04ca"+
    "\34\0\1\u04ca\35\0\1\u0510\132\0\1\u0511\34\0\1\u0511"+
    "\55\0\1\u0512\34\0\1\u0512\22\0\1\u0512\36\0\1\u0513"+
    "\34\0\1\u0513\74\0\1\u049d\37\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[96900];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\2\0\1\11\2\1\1\11\1\1\75\0\1\11\2\1"+
    "\1\0\1\1\27\0\1\1\1\0\2\1\15\0\1\1"+
    "\1\0\1\11\2\0\1\1\50\0\1\1\220\0\1\11"+
    "\155\0\1\1\22\0\1\1\72\0\1\1\11\0\1\1"+
    "\53\0\1\1\4\0\1\1\4\0\1\1\23\0\1\11"+
    "\1\1\6\0\1\1\116\0\1\1\60\0\1\1\174\0"+
    "\2\1\u0112\0\1\11\5\0\1\1\47\0\1\1\23\0"+
    "\1\1\167\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[1299];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S214_Warnings() { }
	
	private boolean downgrade(Reference ref) {
		
		AnnotationEntity alias = getLinkolnDocument().getReferenceClusters().getAlias(ref);
		
		boolean removeNextParoleEnd = false;
		
		if(alias != null) {
		
			String value = alias.getValue();
			
			String partitionValue = getLinkolnDocument().getReferenceClusters().getPartition(ref);
			
			if(value.equals("COST") || value.equals("COD_CIV") || value.equals("COD_PEN") || value.equals("COD_PROC_CIV") || value.equals("COD_PROC_PEN")) {
				
				if(partitionValue == null) {
			
					return true;
				}
			}
			
			/* Update 3.3.9 - Diventano warning i riferimenti alla COSTITUZIONE che non contengono un ARTICLE nella PARTITION (es.: Cost. comma 2) -- Estendere agli altri codici/alias? */
			if(value.equals("COST") && partitionValue != null && partitionValue.indexOf("ARTICOLO-") == -1) {
			
				return true;
			}
			
			return false;
		}
	
		return false;
	}	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S214_Warnings(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 9: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 10: break;
          case 3:
            { annotate(new AnnotationEntity(Entity.WARNING), null, false, true);
            }
          // fall through
          case 11: break;
          case 4:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 12: break;
          case 5:
            { addText();
	yybegin(lkn);
            }
          // fall through
          case 13: break;
          case 6:
            { Reference ref = (Reference) retrieveEntity();

	if(downgrade(ref)) {
	
		//System.out.println("NEW WARN: " + ref.getText());
		
		//crea lo warning
		replaceEntity(ref, (new AnnotationEntity(Entity.WARNING)));
	
	} else {
	
		addText();
		position += ref.getText().length();
	}
            }
          // fall through
          case 14: break;
          case 7:
            { annotate(new AnnotationEntity(Entity.WARNING), null, false, false);
            }
          // fall through
          case 15: break;
          case 8:
            { if(getLinkolnDocument().getInputType() != null && getLinkolnDocument().getInputType().equals(InputType.XML_IGSG_MARKER)) {
	
		//Non creare lo warning in questo caso
		
		AnnotationEntity retrievedEntity = retrieveEntity();
		
		addText();
		
		position += retrievedEntity.getText().length();
		
	} else {
	 
		annotate(new AnnotationEntity(Entity.WARNING), null, false, false); 
	}
            }
          // fall through
          case 16: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S214_Warnings [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S214_Warnings scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S214_Warnings(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
